For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of pricing plan subscriptions
      • POSTCreate a pricing plan subscription
      • PUTUpdate or create a pricing plan subscription (upsert)
      • POSTCreate a pricing plan subscription and schedule. This will also result in a first invoice being created for the provided pricing plan schedule and subscription.
      • POSTSearch a pricing plan subscription
      • GETGet a pricing plan subscription by its ID
      • DELDelete a pricing plan subscription by resource ID
      • PATCHUpdate a pricing plan subscription by resource ID
      • POSTVoid a pricing plan subscription by resource ID
      • POSTArchive a pricing plan subscription by resource ID
      • POSTCancel a pricing plan subscription by resource ID
      • POSTCopy a pricing plan subscription by resource ID
      • POSTChange the payment method of a pricing plan subscription
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricing Plan Subscriptions

Search a pricing plan subscription

POST
/v:version/pricing-plan-subscriptions/search
POST
/v:version/pricing-plan-subscriptions/search
$curl -X POST https://test.api.solvimon.com/v1/pricing-plan-subscriptions/search \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "created_at": "string",
7 "updated_at": "string",
8 "activated_at": "string",
9 "status": "DRAFT",
10 "reference": "string",
11 "name": "string",
12 "purchase_order_number": "string",
13 "customer_id": "string",
14 "customer_reference": "string",
15 "customer": {
16 "object_type": "string",
17 "id": "string",
18 "created_at": "string",
19 "parent_customer_id": "string",
20 "parent_customer_ids": [
21 "string"
22 ],
23 "reference": "string",
24 "status": "DRAFT",
25 "timezone": "string",
26 "type": "ORGANIZATION",
27 "email": "string",
28 "notification_preferences": [
29 {
30 "type": "INVOICE",
31 "channels": [
32 {
33 "type": "EMAIL",
34 "enabled": true
35 }
36 ]
37 }
38 ],
39 "locale": "string",
40 "individual": {
41 "name": {
42 "first_name": "string",
43 "last_name": "string",
44 "infix": "string"
45 },
46 "residential_address": {
47 "line1": "string",
48 "line2": "string",
49 "city": "string",
50 "postal_code": "string",
51 "state": "string",
52 "country": "AD"
53 }
54 },
55 "organization": {
56 "legal_name": "string",
57 "tax_id": "string",
58 "tax_ids": [
59 {
60 "id": "string",
61 "type": "GENERIC_TAX_ID",
62 "display_name": "string",
63 "tax_id_validation_result": {
64 "id": "string",
65 "validation_date": "string",
66 "source": "string",
67 "valid": "VALID",
68 "message": "string"
69 }
70 }
71 ],
72 "registration_number": "string",
73 "tax_exempt": true,
74 "tax_exempt_note": "string",
75 "registered_address": {
76 "line1": "string",
77 "line2": "string",
78 "city": "string",
79 "postal_code": "string",
80 "state": "string",
81 "country": "AD"
82 },
83 "tax_registrations": [
84 {
85 "id": "string",
86 "description": "string",
87 "tax_id": "string",
88 "tax_ids": [
89 {
90 "id": "string",
91 "type": "GENERIC_TAX_ID",
92 "display_name": "string",
93 "tax_id_validation_result": {
94 "id": "string",
95 "validation_date": "string",
96 "source": "string",
97 "valid": "VALID",
98 "message": "string"
99 }
100 }
101 ],
102 "registration_number": "string",
103 "registered_address": {
104 "line1": "string",
105 "line2": "string",
106 "city": "string",
107 "postal_code": "string",
108 "state": "string",
109 "country": "AD"
110 }
111 }
112 ]
113 },
114 "custom_fields": [
115 {
116 "id": "string",
117 "reference": "string",
118 "value": "string",
119 "values": [
120 "string"
121 ],
122 "integration_details": {
123 "id": "string",
124 "reference": "string",
125 "payment_gateway_variant": "ADYEN",
126 "adyen": {
127 "recurring_detail_reference": "string"
128 },
129 "stripe": {
130 "payment_method_id": "string"
131 }
132 }
133 }
134 ],
135 "processing_only": true,
136 "pricing_plan_subscription_selector": {
137 "data": [
138 {
139 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
140 "value": "string"
141 }
142 ],
143 "rules": [
144 {
145 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
146 "type": "EQUALS"
147 }
148 ],
149 "filters": [
150 {
151 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
152 "type": "EQUALS",
153 "value": "string"
154 }
155 ],
156 "fallback": "LATEST"
157 },
158 "linked_integrations": [
159 {
160 "id": "string",
161 "link_details": [
162 {
163 "url": "string",
164 "custom_field_name": "string"
165 }
166 ]
167 }
168 ],
169 "roles": [
170 "DEFAULT"
171 ],
172 "seller_details": {
173 "default_billing_entity_id": "string"
174 }
175 },
176 "billing_entity_id": "string",
177 "billing_entity_reference": "string",
178 "billing_entity": {
179 "object_type": "string",
180 "id": "string",
181 "created_at": "string",
182 "reference": "string",
183 "status": "string",
184 "timezone": "string",
185 "legal_name": "string",
186 "tax_id": "string",
187 "tax_ids": [
188 {
189 "id": "string",
190 "type": "GENERIC_TAX_ID",
191 "display_name": "string",
192 "tax_id_validation_result": {
193 "id": "string",
194 "validation_date": "string",
195 "source": "string",
196 "valid": "VALID",
197 "message": "string"
198 }
199 }
200 ],
201 "registration_number": "string",
202 "registered_address": {
203 "line1": "string",
204 "line2": "string",
205 "city": "string",
206 "postal_code": "string",
207 "state": "string",
208 "country": "AD"
209 },
210 "email": "string",
211 "tax_settings": {
212 "apply_local_vat_for_missing_tax_id": true
213 },
214 "tax_registrations": [
215 {
216 "id": "string",
217 "description": "string",
218 "tax_id": "string",
219 "tax_ids": [
220 {
221 "id": "string",
222 "type": "GENERIC_TAX_ID",
223 "display_name": "string",
224 "tax_id_validation_result": {
225 "id": "string",
226 "validation_date": "string",
227 "source": "string",
228 "valid": "VALID",
229 "message": "string"
230 }
231 }
232 ],
233 "registration_number": "string",
234 "registered_address": {
235 "line1": "string",
236 "line2": "string",
237 "city": "string",
238 "postal_code": "string",
239 "state": "string",
240 "country": "AD"
241 }
242 }
243 ],
244 "custom_fields": [
245 {
246 "id": "string",
247 "reference": "string",
248 "value": "string",
249 "values": [
250 "string"
251 ],
252 "integration_details": {
253 "id": "string",
254 "reference": "string",
255 "payment_gateway_variant": "ADYEN",
256 "adyen": {
257 "recurring_detail_reference": "string"
258 },
259 "stripe": {
260 "payment_method_id": "string"
261 }
262 }
263 }
264 ],
265 "default_customer_country_selector": [
266 "AD"
267 ],
268 "default_billing_currency_selector": [
269 "AED"
270 ],
271 "linked_integrations": [
272 {
273 "id": "string",
274 "link_details": [
275 {
276 "url": "string",
277 "custom_field_name": "string"
278 }
279 ]
280 }
281 ]
282 },
283 "billing_period": {
284 "type": "DAY",
285 "value": 1
286 },
287 "billing_currency": "AED",
288 "due_date_configuration": {
289 "type": "PERIOD_AFTER_INVOICE_DATE",
290 "period": {
291 "type": "DAY",
292 "value": 1
293 }
294 },
295 "initial_term": {
296 "type": "DAY",
297 "value": 1
298 },
299 "renewal_term": {
300 "type": "DAY",
301 "value": 1
302 },
303 "auto_renewal": true,
304 "type": "QUOTE",
305 "variant": "DEFAULT",
306 "billing_time": "EXACT",
307 "combine": true,
308 "quote_version_id": "string",
309 "upgraded_from_pricing_plan_subscription_id": "string",
310 "upgraded_to_pricing_plan_subscription_id": "string",
311 "payment_acceptor_ids": [
312 "string"
313 ],
314 "payment_acceptors": [
315 {
316 "object_type": "string",
317 "id": "string",
318 "billing_entity_id": "string",
319 "customer_id": "string",
320 "reference": "string",
321 "name": "string",
322 "description": "string",
323 "type": "BANK_ACCOUNT",
324 "bank_account": {
325 "type": "IBAN",
326 "iban": "string",
327 "country": "string",
328 "bic": "string",
329 "bank_name": "string",
330 "bank_address": {
331 "line1": "string",
332 "line2": "string",
333 "city": "string",
334 "postal_code": "string",
335 "state": "string",
336 "country": "AD"
337 },
338 "account_number_and_bic": {
339 "account_number": "string",
340 "bank_code": "string",
341 "bic": "string"
342 },
343 "uk_local": {
344 "account_number": "string",
345 "sort_code": "string"
346 },
347 "us_local": {
348 "account_number": "string",
349 "account_type": "CHECKING",
350 "bank_code": "string",
351 "routing_number": "string"
352 },
353 "br_local": {
354 "branch": "string",
355 "account_number": "string",
356 "bic": "string"
357 },
358 "ar_local": {
359 "cbu": "string",
360 "account_number": "string",
361 "bic": "string"
362 },
363 "mx_local": {
364 "clabe": "string",
365 "account_number": "string",
366 "bic": "string"
367 },
368 "account_number": "string",
369 "bank_code": "string",
370 "routing_number": "string",
371 "account_type": "CHECKING"
372 },
373 "payment_gateway": {
374 "integration_id": "string",
375 "integration": {
376 "object_type": "string",
377 "id": "string",
378 "reference": "string",
379 "name": "string",
380 "description": "string",
381 "status": "DRAFT",
382 "message": "string",
383 "type": "PAYMENT_GATEWAY",
384 "authentication": {
385 "api_key": {
386 "header": "string",
387 "value": "string"
388 },
389 "client_credentials": {
390 "client_id": "string",
391 "client_secret": "string"
392 },
393 "username_password": {
394 "username": "string",
395 "password": "string"
396 }
397 },
398 "payment_gateway": {
399 "variant": "ADYEN",
400 "adyen": {
401 "company_account": "string",
402 "environment": "LIVE",
403 "live_prefix": "string",
404 "merchant_accounts": [
405 "string"
406 ],
407 "public_key": "string",
408 "signing_secret": "string",
409 "ownership": "PLATFORM",
410 "system_ownership_details": {
411 "account_holder_id": "string",
412 "balance_account_id": "string",
413 "legal_entity_id": "string"
414 },
415 "balance_platform_details": {
416 "account": "string",
417 "authentication": {
418 "api_key": {
419 "header": "string",
420 "value": "string"
421 },
422 "client_credentials": {
423 "client_id": "string",
424 "client_secret": "string"
425 },
426 "username_password": {
427 "username": "string",
428 "password": "string"
429 }
430 }
431 },
432 "legal_entity_manager_details": {
433 "authentication": {
434 "api_key": {
435 "header": "string",
436 "value": "string"
437 },
438 "client_credentials": {
439 "client_id": "string",
440 "client_secret": "string"
441 },
442 "username_password": {
443 "username": "string",
444 "password": "string"
445 }
446 }
447 },
448 "enabled_payment_methods": [
449 "string"
450 ]
451 },
452 "stripe": {
453 "public_key": "string",
454 "signing_secret": "string"
455 }
456 },
457 "e_invoicing": {
458 "mandates": [
459 {
460 "name": "string",
461 "country": "string",
462 "mappings": [
463 {
464 "target": "string",
465 "source": "string",
466 "description": "string"
467 }
468 ],
469 "condition_groups": [
470 {
471 "conditions": [
472 {
473 "field": "string",
474 "comparator_type": "EQUALS",
475 "value": "string"
476 }
477 ]
478 }
479 ],
480 "include_pdf_in_einvoice": true,
481 "supported_file_formats": [
482 {
483 "type": "string",
484 "description": "string"
485 }
486 ]
487 }
488 ],
489 "processor": "AVALARA"
490 },
491 "data_export": {
492 "variant": "S3",
493 "s3": {
494 "bucket_name": "string",
495 "bucket_path": "string",
496 "bucket_region": "string"
497 },
498 "bigquery": {
499 "project_id": "string",
500 "dataset_id": "string",
501 "dataset_location": "string",
502 "gcs_bucket_name": "string",
503 "gcs_hmac_key_access_id": "string",
504 "gcs_hmac_key_secret": "string"
505 },
506 "gcs": {
507 "bucket_region": "string",
508 "bucket_name": "string",
509 "bucket_path": "string",
510 "flattening": true
511 },
512 "snowflake": {
513 "host": "string",
514 "role": "string",
515 "warehouse": "string",
516 "database": "string",
517 "schema": "string"
518 }
519 },
520 "tax_calculation": {
521 "billing_entity_id": "string",
522 "variant": "AVATAX",
523 "ava_tax": {
524 "company_code": "string"
525 },
526 "custom_tax_codes": [
527 {
528 "field": "INVOICE_COMMITMENT",
529 "value": "string"
530 }
531 ],
532 "enable_tax_filing": true
533 },
534 "linked_resources_configurations": [
535 {
536 "resource_type": "string",
537 "link_details": [
538 {
539 "base_url": "string",
540 "custom_field_reference": "string"
541 }
542 ]
543 }
544 ],
545 "email_provider": {
546 "variant": "SYSTEM",
547 "mailgun": {
548 "domain": "string",
549 "region": "US",
550 "plan": "string"
551 },
552 "delivery_window": {
553 "type": "DAY",
554 "value": 1
555 },
556 "use_localized_templates": true
557 }
558 },
559 "store_payment_method": true,
560 "auto_charge_payment_method": true,
561 "collection_type": "LINK",
562 "link": {
563 "expiry_period": {
564 "type": "DAY",
565 "value": 1
566 }
567 },
568 "adyen": {
569 "auto_rescue": {
570 "enabled": true,
571 "period": {
572 "type": "DAY",
573 "value": 1
574 }
575 },
576 "merchant_account": "string",
577 "allowed_payment_methods": [
578 "string"
579 ]
580 }
581 },
582 "custom_redirect": {
583 "url": "string"
584 },
585 "status": "DRAFT"
586 }
587 ],
588 "pricing_plan_schedule_infos": [
589 {
590 "id": "string",
591 "pricing_plan_schedule": {
592 "object_type": "string",
593 "id": "string",
594 "type": "TRIAL",
595 "pricing_plan_subscription_id": "string",
596 "pricing_plan_id": "string",
597 "pricing_plan_version_id": "string",
598 "start_at": "2024-01-15T09:30:00Z",
599 "end_at": "2024-01-15T09:30:00Z",
600 "pricing_currency": "AED",
601 "billing_period": {
602 "type": "DAY",
603 "value": 1
604 },
605 "entitlements": [
606 {
607 "feature_id": "string",
608 "feature": {
609 "object_type": "string",
610 "id": "string",
611 "reference": "string",
612 "name": "string",
613 "description": "string",
614 "type": "SWITCH",
615 "enum_values": [
616 "string"
617 ],
618 "meter_value_calculation_id": "string",
619 "meter_value_calculation": {
620 "object_type": "string",
621 "id": "string",
622 "reference": "string",
623 "name": "string",
624 "description": "string",
625 "calculation_type": "SUM",
626 "persist": true,
627 "meter_id": "string",
628 "meter": {
629 "object_type": "string",
630 "id": "string",
631 "reference": "string",
632 "name": "string",
633 "description": "string",
634 "status": "DRAFT",
635 "meter_values": [
636 {
637 "id": "string",
638 "object": {
639 "object_type": "string",
640 "id": "string",
641 "reference": "string",
642 "name": "string",
643 "description": "string",
644 "status": "DRAFT",
645 "type": "NUMBER"
646 },
647 "required": true
648 }
649 ],
650 "meter_properties": [
651 {
652 "id": "string",
653 "object": {
654 "object_type": "string",
655 "id": "string",
656 "reference": "string",
657 "name": "string",
658 "description": "string",
659 "status": "DRAFT",
660 "type": "NUMBER",
661 "enum_values": [
662 "string"
663 ]
664 },
665 "required": true
666 }
667 ]
668 },
669 "meter_value_id": "string",
670 "meter_value": {
671 "object_type": "string",
672 "id": "string",
673 "reference": "string",
674 "name": "string",
675 "description": "string",
676 "status": "DRAFT",
677 "type": "NUMBER"
678 },
679 "meter_property_id": "string",
680 "meter_property": {
681 "object_type": "string",
682 "id": "string",
683 "reference": "string",
684 "name": "string",
685 "description": "string",
686 "status": "DRAFT",
687 "type": "NUMBER",
688 "enum_values": [
689 "string"
690 ]
691 }
692 }
693 },
694 "feature_reference": "string",
695 "override": true,
696 "number": "string",
697 "switch": true,
698 "amount": {
699 "quantity": "string",
700 "currency": "AED"
701 },
702 "enum": "string",
703 "string": "string",
704 "overwrite": true
705 }
706 ],
707 "discount": {
708 "pricing_item_configs": [
709 {
710 "ids": [
711 "string"
712 ],
713 "start_at": "2024-01-15T09:30:00Z",
714 "end_at": "2024-01-15T09:30:00Z",
715 "amount": {
716 "quantity": "string",
717 "currency": "AED"
718 },
719 "percentage": "string"
720 }
721 ],
722 "pricing_items": [
723 {
724 "ids": [
725 "string"
726 ],
727 "start_at": "2024-01-15T09:30:00Z",
728 "end_at": "2024-01-15T09:30:00Z",
729 "amount": {
730 "quantity": "string",
731 "currency": "AED"
732 },
733 "percentage": "string"
734 }
735 ],
736 "pricings": [
737 {
738 "ids": [
739 "string"
740 ],
741 "start_at": "2024-01-15T09:30:00Z",
742 "end_at": "2024-01-15T09:30:00Z",
743 "amount": {
744 "quantity": "string",
745 "currency": "AED"
746 },
747 "percentage": "string"
748 }
749 ],
750 "totals": [
751 {
752 "start_at": "string",
753 "end_at": "string",
754 "amount": {
755 "quantity": "string",
756 "currency": "AED"
757 },
758 "percentage": "string",
759 "coupon_id": "string",
760 "promotion_code_details": {
761 "promotion_code_id": "string",
762 "code": "string"
763 }
764 }
765 ],
766 "products": [
767 {
768 "ids": [
769 "string"
770 ],
771 "start_at": "string",
772 "end_at": "string",
773 "amount": {
774 "quantity": "string",
775 "currency": "AED"
776 },
777 "percentage": "string",
778 "coupon_id": "string",
779 "promotion_code_details": {
780 "promotion_code_id": "string",
781 "code": "string"
782 }
783 }
784 ],
785 "product_items": [
786 {
787 "ids": [
788 "string"
789 ],
790 "start_at": "string",
791 "end_at": "string",
792 "amount": {
793 "quantity": "string",
794 "currency": "AED"
795 },
796 "percentage": "string",
797 "coupon_id": "string",
798 "promotion_code_details": {
799 "promotion_code_id": "string",
800 "code": "string"
801 }
802 }
803 ],
804 "product_categories": [
805 {
806 "ids": [
807 "string"
808 ],
809 "start_at": "string",
810 "end_at": "string",
811 "amount": {
812 "quantity": "string",
813 "currency": "AED"
814 },
815 "percentage": "string",
816 "coupon_id": "string",
817 "promotion_code_details": {
818 "promotion_code_id": "string",
819 "code": "string"
820 }
821 }
822 ]
823 },
824 "markup": {
825 "pricing_item_configs": [
826 {
827 "ids": [
828 "string"
829 ],
830 "start_at": "2024-01-15T09:30:00Z",
831 "end_at": "2024-01-15T09:30:00Z",
832 "amount": {
833 "quantity": "string",
834 "currency": "AED"
835 },
836 "percentage": "string"
837 }
838 ]
839 },
840 "commitment": {
841 "pricing_item_configs": [
842 {
843 "ids": [
844 "string"
845 ],
846 "meter_value_calculation": {
847 "number": "string",
848 "amount": {
849 "quantity": "string",
850 "currency": "AED"
851 }
852 },
853 "start_at": "2024-01-15T09:30:00Z",
854 "end_at": "2024-01-15T09:30:00Z",
855 "amount": {
856 "quantity": "string",
857 "currency": "AED"
858 }
859 }
860 ],
861 "pricing_items": [
862 {
863 "ids": [
864 "string"
865 ],
866 "start_at": "2024-01-15T09:30:00Z",
867 "end_at": "2024-01-15T09:30:00Z",
868 "amount": {
869 "quantity": "string",
870 "currency": "AED"
871 }
872 }
873 ],
874 "pricings": [
875 {
876 "ids": [
877 "string"
878 ],
879 "start_at": "2024-01-15T09:30:00Z",
880 "end_at": "2024-01-15T09:30:00Z",
881 "amount": {
882 "quantity": "string",
883 "currency": "AED"
884 }
885 }
886 ],
887 "totals": [
888 {
889 "start_at": "2024-01-15T09:30:00Z",
890 "end_at": "2024-01-15T09:30:00Z",
891 "amount": {
892 "quantity": "string",
893 "currency": "AED"
894 }
895 }
896 ]
897 },
898 "promotion_codes": [
899 "string"
900 ],
901 "coupon_ids": [
902 "string"
903 ],
904 "coupon_discount": {
905 "pricing_item_configs": [
906 {
907 "ids": [
908 "string"
909 ],
910 "start_at": "2024-01-15T09:30:00Z",
911 "end_at": "2024-01-15T09:30:00Z",
912 "amount": {
913 "quantity": "string",
914 "currency": "AED"
915 },
916 "percentage": "string"
917 }
918 ],
919 "pricing_items": [
920 {
921 "ids": [
922 "string"
923 ],
924 "start_at": "2024-01-15T09:30:00Z",
925 "end_at": "2024-01-15T09:30:00Z",
926 "amount": {
927 "quantity": "string",
928 "currency": "AED"
929 },
930 "percentage": "string"
931 }
932 ],
933 "pricings": [
934 {
935 "ids": [
936 "string"
937 ],
938 "start_at": "2024-01-15T09:30:00Z",
939 "end_at": "2024-01-15T09:30:00Z",
940 "amount": {
941 "quantity": "string",
942 "currency": "AED"
943 },
944 "percentage": "string"
945 }
946 ],
947 "totals": [
948 {
949 "start_at": "string",
950 "end_at": "string",
951 "amount": {
952 "quantity": "string",
953 "currency": "AED"
954 },
955 "percentage": "string",
956 "coupon_id": "string",
957 "promotion_code_details": {
958 "promotion_code_id": "string",
959 "code": "string"
960 }
961 }
962 ],
963 "products": [
964 {
965 "ids": [
966 "string"
967 ],
968 "start_at": "string",
969 "end_at": "string",
970 "amount": {
971 "quantity": "string",
972 "currency": "AED"
973 },
974 "percentage": "string",
975 "coupon_id": "string",
976 "promotion_code_details": {
977 "promotion_code_id": "string",
978 "code": "string"
979 }
980 }
981 ],
982 "product_items": [
983 {
984 "ids": [
985 "string"
986 ],
987 "start_at": "string",
988 "end_at": "string",
989 "amount": {
990 "quantity": "string",
991 "currency": "AED"
992 },
993 "percentage": "string",
994 "coupon_id": "string",
995 "promotion_code_details": {
996 "promotion_code_id": "string",
997 "code": "string"
998 }
999 }
1000 ],
1001 "product_categories": [
1002 {
1003 "ids": [
1004 "string"
1005 ],
1006 "start_at": "string",
1007 "end_at": "string",
1008 "amount": {
1009 "quantity": "string",
1010 "currency": "AED"
1011 },
1012 "percentage": "string",
1013 "coupon_id": "string",
1014 "promotion_code_details": {
1015 "promotion_code_id": "string",
1016 "code": "string"
1017 }
1018 }
1019 ]
1020 },
1021 "seats_values": [
1022 {
1023 "pricing_item_config_id": "string",
1024 "number": "string",
1025 "amount": {
1026 "quantity": "string",
1027 "currency": "AED"
1028 },
1029 "start_at": "2024-01-15T09:30:00Z",
1030 "end_at": "string"
1031 }
1032 ],
1033 "included_volumes": [
1034 {
1035 "pricing_item_config_id": "string",
1036 "number": "string",
1037 "amount": {
1038 "quantity": "string",
1039 "currency": "AED"
1040 },
1041 "start_at": "2024-01-15T09:30:00Z",
1042 "end_at": "2024-01-15T09:30:00Z",
1043 "reset_type": "string"
1044 }
1045 ],
1046 "enabled_pricings": [
1047 {
1048 "pricing_id": "string",
1049 "start_at": "2024-01-15T09:30:00Z",
1050 "end_at": "2024-01-15T09:30:00Z"
1051 }
1052 ],
1053 "override_pricings": [
1054 {
1055 "object_type": "string",
1056 "id": "string",
1057 "pricing_plan_version_id": "string",
1058 "pricing_plan_schedule_id": "string",
1059 "pricing_group_id": "string",
1060 "original_pricing_id": "string",
1061 "original_pricing": {},
1062 "override": "ALL",
1063 "name": "string",
1064 "product_type": "DEFAULT",
1065 "product_ids": [
1066 "string"
1067 ],
1068 "display_order": 1,
1069 "products": [
1070 {
1071 "object_type": "string",
1072 "id": "string",
1073 "category_id": "string",
1074 "category": {
1075 "object_type": "string",
1076 "id": "string",
1077 "name": "string",
1078 "reference": "string",
1079 "description": "string",
1080 "tax_category": "STANDARD",
1081 "display_order": 1,
1082 "customer_id": "string"
1083 },
1084 "parent_product_id": "string",
1085 "name": "string",
1086 "reference": "string",
1087 "description": "string",
1088 "status": "DRAFT",
1089 "product_type": "DEFAULT",
1090 "tax_category": "STANDARD",
1091 "features": [
1092 {
1093 "id": "string",
1094 "reference": "string"
1095 }
1096 ],
1097 "custom_fields": [
1098 {
1099 "id": "string",
1100 "reference": "string",
1101 "value": "string",
1102 "values": [
1103 "string"
1104 ],
1105 "integration_details": {
1106 "id": "string",
1107 "reference": "string",
1108 "payment_gateway_variant": "ADYEN",
1109 "adyen": {
1110 "recurring_detail_reference": "string"
1111 },
1112 "stripe": {
1113 "payment_method_id": "string"
1114 }
1115 }
1116 }
1117 ],
1118 "display_order": 1,
1119 "linked_integrations": [
1120 {
1121 "id": "string",
1122 "link_details": [
1123 {
1124 "url": "string",
1125 "custom_field_name": "string"
1126 }
1127 ]
1128 }
1129 ],
1130 "billing_entity_id": "string",
1131 "customer_id": "string"
1132 }
1133 ],
1134 "entitlements": [
1135 {
1136 "feature_id": "string",
1137 "feature": {
1138 "object_type": "string",
1139 "id": "string",
1140 "reference": "string",
1141 "name": "string",
1142 "description": "string",
1143 "type": "SWITCH",
1144 "enum_values": [
1145 "string"
1146 ],
1147 "meter_value_calculation_id": "string",
1148 "meter_value_calculation": {
1149 "object_type": "string",
1150 "id": "string",
1151 "reference": "string",
1152 "name": "string",
1153 "description": "string",
1154 "calculation_type": "SUM",
1155 "persist": true,
1156 "meter_id": "string",
1157 "meter": {
1158 "object_type": "string",
1159 "id": "string",
1160 "reference": "string",
1161 "name": "string",
1162 "description": "string",
1163 "status": "DRAFT",
1164 "meter_values": [
1165 {
1166 "id": "string",
1167 "object": {
1168 "object_type": "string",
1169 "id": "string",
1170 "reference": "string",
1171 "name": "string",
1172 "description": "string",
1173 "status": "DRAFT",
1174 "type": "NUMBER"
1175 },
1176 "required": true
1177 }
1178 ],
1179 "meter_properties": [
1180 {
1181 "id": "string",
1182 "object": {
1183 "object_type": "string",
1184 "id": "string",
1185 "reference": "string",
1186 "name": "string",
1187 "description": "string",
1188 "status": "DRAFT",
1189 "type": "NUMBER",
1190 "enum_values": [
1191 "string"
1192 ]
1193 },
1194 "required": true
1195 }
1196 ]
1197 },
1198 "meter_value_id": "string",
1199 "meter_value": {
1200 "object_type": "string",
1201 "id": "string",
1202 "reference": "string",
1203 "name": "string",
1204 "description": "string",
1205 "status": "DRAFT",
1206 "type": "NUMBER"
1207 },
1208 "meter_property_id": "string",
1209 "meter_property": {
1210 "object_type": "string",
1211 "id": "string",
1212 "reference": "string",
1213 "name": "string",
1214 "description": "string",
1215 "status": "DRAFT",
1216 "type": "NUMBER",
1217 "enum_values": [
1218 "string"
1219 ]
1220 }
1221 }
1222 },
1223 "feature_reference": "string",
1224 "override": true,
1225 "number": "string",
1226 "switch": true,
1227 "amount": {
1228 "quantity": "string",
1229 "currency": "AED"
1230 },
1231 "enum": "string",
1232 "string": "string",
1233 "overwrite": true
1234 }
1235 ],
1236 "items": [
1237 {
1238 "object_type": "string",
1239 "id": "string",
1240 "original_pricing_item_id": "string",
1241 "original_pricing_item": {},
1242 "override": "ALL",
1243 "product_item_ids": [
1244 "string"
1245 ],
1246 "product_items": [
1247 {
1248 "object_type": "string",
1249 "id": "string",
1250 "product_id": "string",
1251 "product": {
1252 "object_type": "string",
1253 "id": "string",
1254 "category_id": "string",
1255 "category": {
1256 "object_type": "string",
1257 "id": "string",
1258 "name": "string",
1259 "reference": "string",
1260 "description": "string",
1261 "tax_category": "STANDARD",
1262 "display_order": 1,
1263 "customer_id": "string"
1264 },
1265 "parent_product_id": "string",
1266 "name": "string",
1267 "reference": "string",
1268 "description": "string",
1269 "status": "DRAFT",
1270 "product_type": "DEFAULT",
1271 "tax_category": "STANDARD",
1272 "features": [
1273 {
1274 "id": "string",
1275 "reference": "string"
1276 }
1277 ],
1278 "custom_fields": [
1279 {
1280 "id": "string",
1281 "reference": "string",
1282 "value": "string",
1283 "values": [
1284 "string"
1285 ],
1286 "integration_details": {
1287 "id": "string",
1288 "reference": "string",
1289 "payment_gateway_variant": "ADYEN",
1290 "adyen": {
1291 "recurring_detail_reference": "string"
1292 },
1293 "stripe": {
1294 "payment_method_id": "string"
1295 }
1296 }
1297 }
1298 ],
1299 "display_order": 1,
1300 "linked_integrations": [
1301 {
1302 "id": "string",
1303 "link_details": [
1304 {
1305 "url": "string",
1306 "custom_field_name": "string"
1307 }
1308 ]
1309 }
1310 ],
1311 "billing_entity_id": "string",
1312 "customer_id": "string"
1313 },
1314 "name": "string",
1315 "status": "DRAFT",
1316 "reference": "string",
1317 "description": "string",
1318 "type": "REVENUE",
1319 "model_type": "USAGE_BASED",
1320 "usage_based": {
1321 "meter_value_calculation_id": "string",
1322 "meter_value_calculation": {
1323 "object_type": "string",
1324 "id": "string",
1325 "reference": "string",
1326 "name": "string",
1327 "description": "string",
1328 "calculation_type": "SUM",
1329 "persist": true,
1330 "meter_id": "string",
1331 "meter": {
1332 "object_type": "string",
1333 "id": "string",
1334 "reference": "string",
1335 "name": "string",
1336 "description": "string",
1337 "status": "DRAFT",
1338 "meter_values": [
1339 {
1340 "id": "string",
1341 "object": {
1342 "object_type": "string",
1343 "id": "string",
1344 "reference": "string",
1345 "name": "string",
1346 "description": "string",
1347 "status": "DRAFT",
1348 "type": "NUMBER"
1349 },
1350 "required": true
1351 }
1352 ],
1353 "meter_properties": [
1354 {
1355 "id": "string",
1356 "object": {
1357 "object_type": "string",
1358 "id": "string",
1359 "reference": "string",
1360 "name": "string",
1361 "description": "string",
1362 "status": "DRAFT",
1363 "type": "NUMBER",
1364 "enum_values": [
1365 "string"
1366 ]
1367 },
1368 "required": true
1369 }
1370 ]
1371 },
1372 "meter_value_id": "string",
1373 "meter_value": {
1374 "object_type": "string",
1375 "id": "string",
1376 "reference": "string",
1377 "name": "string",
1378 "description": "string",
1379 "status": "DRAFT",
1380 "type": "NUMBER"
1381 },
1382 "meter_property_id": "string",
1383 "meter_property": {
1384 "object_type": "string",
1385 "id": "string",
1386 "reference": "string",
1387 "name": "string",
1388 "description": "string",
1389 "status": "DRAFT",
1390 "type": "NUMBER",
1391 "enum_values": [
1392 "string"
1393 ]
1394 }
1395 },
1396 "tiering_meter_value_calculation_id": "string",
1397 "tiering_meter_value_calculation": {
1398 "object_type": "string",
1399 "id": "string",
1400 "reference": "string",
1401 "name": "string",
1402 "description": "string",
1403 "calculation_type": "SUM",
1404 "persist": true,
1405 "meter_id": "string",
1406 "meter": {
1407 "object_type": "string",
1408 "id": "string",
1409 "reference": "string",
1410 "name": "string",
1411 "description": "string",
1412 "status": "DRAFT",
1413 "meter_values": [
1414 {
1415 "id": "string",
1416 "object": {
1417 "object_type": "string",
1418 "id": "string",
1419 "reference": "string",
1420 "name": "string",
1421 "description": "string",
1422 "status": "DRAFT",
1423 "type": "NUMBER"
1424 },
1425 "required": true
1426 }
1427 ],
1428 "meter_properties": [
1429 {
1430 "id": "string",
1431 "object": {
1432 "object_type": "string",
1433 "id": "string",
1434 "reference": "string",
1435 "name": "string",
1436 "description": "string",
1437 "status": "DRAFT",
1438 "type": "NUMBER",
1439 "enum_values": [
1440 "string"
1441 ]
1442 },
1443 "required": true
1444 }
1445 ]
1446 },
1447 "meter_value_id": "string",
1448 "meter_value": {
1449 "object_type": "string",
1450 "id": "string",
1451 "reference": "string",
1452 "name": "string",
1453 "description": "string",
1454 "status": "DRAFT",
1455 "type": "NUMBER"
1456 },
1457 "meter_property_id": "string",
1458 "meter_property": {
1459 "object_type": "string",
1460 "id": "string",
1461 "reference": "string",
1462 "name": "string",
1463 "description": "string",
1464 "status": "DRAFT",
1465 "type": "NUMBER",
1466 "enum_values": [
1467 "string"
1468 ]
1469 }
1470 },
1471 "report_meter_value_calculation_ids": [
1472 "string"
1473 ],
1474 "conditions": {
1475 "name": "string",
1476 "expression": {
1477 "operator": "AND",
1478 "operands": [
1479 {
1480 "meter_property": {
1481 "id": "string",
1482 "reference": "string",
1483 "meter_property": {
1484 "object_type": {},
1485 "id": {},
1486 "reference": {},
1487 "name": {},
1488 "description": {},
1489 "status": {},
1490 "type": {},
1491 "enum_values": {}
1492 },
1493 "value": "string",
1494 "values": [
1495 "string"
1496 ],
1497 "comparator": "EQUALS"
1498 },
1499 "expression": {}
1500 }
1501 ]
1502 },
1503 "meter_properties": [
1504 {
1505 "id": "string",
1506 "reference": "string",
1507 "meter_property": {
1508 "object_type": "string",
1509 "id": "string",
1510 "reference": "string",
1511 "name": "string",
1512 "description": "string",
1513 "status": "DRAFT",
1514 "type": "NUMBER",
1515 "enum_values": [
1516 "string"
1517 ]
1518 },
1519 "value": "string",
1520 "values": [
1521 "string"
1522 ],
1523 "comparator": "EQUALS"
1524 }
1525 ]
1526 }
1527 },
1528 "credits": {
1529 "credit_type_id": "string",
1530 "credit_type": {
1531 "object_type": "string",
1532 "id": "string",
1533 "reference": "string",
1534 "status": "DRAFT",
1535 "name": "string",
1536 "description": "string",
1537 "unit_name": {
1538 "singular": "string",
1539 "plural": "string"
1540 },
1541 "created_at": "string",
1542 "updated_at": "string"
1543 }
1544 },
1545 "meter_value_calculation": {
1546 "object_type": "string",
1547 "id": "string",
1548 "reference": "string",
1549 "name": "string",
1550 "description": "string",
1551 "calculation_type": "SUM",
1552 "persist": true,
1553 "meter_id": "string",
1554 "meter": {
1555 "object_type": "string",
1556 "id": "string",
1557 "reference": "string",
1558 "name": "string",
1559 "description": "string",
1560 "status": "DRAFT",
1561 "meter_values": [
1562 {
1563 "id": "string",
1564 "object": {
1565 "object_type": "string",
1566 "id": "string",
1567 "reference": "string",
1568 "name": "string",
1569 "description": "string",
1570 "status": "DRAFT",
1571 "type": "NUMBER"
1572 },
1573 "required": true
1574 }
1575 ],
1576 "meter_properties": [
1577 {
1578 "id": "string",
1579 "object": {
1580 "object_type": "string",
1581 "id": "string",
1582 "reference": "string",
1583 "name": "string",
1584 "description": "string",
1585 "status": "DRAFT",
1586 "type": "NUMBER",
1587 "enum_values": [
1588 "string"
1589 ]
1590 },
1591 "required": true
1592 }
1593 ]
1594 },
1595 "meter_value_id": "string",
1596 "meter_value": {
1597 "object_type": "string",
1598 "id": "string",
1599 "reference": "string",
1600 "name": "string",
1601 "description": "string",
1602 "status": "DRAFT",
1603 "type": "NUMBER"
1604 },
1605 "meter_property_id": "string",
1606 "meter_property": {
1607 "object_type": "string",
1608 "id": "string",
1609 "reference": "string",
1610 "name": "string",
1611 "description": "string",
1612 "status": "DRAFT",
1613 "type": "NUMBER",
1614 "enum_values": [
1615 "string"
1616 ]
1617 }
1618 },
1619 "tax_category": "STANDARD",
1620 "display_order": 1,
1621 "unit_name": {
1622 "singular": "string",
1623 "plural": "string"
1624 },
1625 "custom_fields": [
1626 {
1627 "id": "string",
1628 "reference": "string",
1629 "value": "string",
1630 "values": [
1631 "string"
1632 ],
1633 "integration_details": {
1634 "id": "string",
1635 "reference": "string",
1636 "payment_gateway_variant": "ADYEN",
1637 "adyen": {
1638 "recurring_detail_reference": "string"
1639 },
1640 "stripe": {
1641 "payment_method_id": "string"
1642 }
1643 }
1644 }
1645 ],
1646 "customer_id": "string",
1647 "meter_value_calculation_id": "string",
1648 "report_meter_value_calculation_ids": [
1649 "string"
1650 ]
1651 }
1652 ],
1653 "configs": [
1654 {
1655 "object_type": "string",
1656 "id": "string",
1657 "original_pricing_item_config_id": "string",
1658 "original_pricing_item_config": {},
1659 "details": {
1660 "billing_period": {
1661 "type": "DAY",
1662 "value": 1
1663 },
1664 "pricing_type": "FLAT",
1665 "pricing_period": {
1666 "type": "DAY",
1667 "value": 1
1668 },
1669 "bands": [
1670 {
1671 "amount": {
1672 "quantity": "string",
1673 "currency": "AED"
1674 },
1675 "percentage": "string",
1676 "credits": {
1677 "quantity": "string",
1678 "credit_type_id": "string"
1679 },
1680 "fixed_amount": {
1681 "quantity": "string",
1682 "currency": "AED"
1683 },
1684 "maximum_amount": {
1685 "quantity": "string",
1686 "currency": "AED"
1687 },
1688 "minimum_amount": {
1689 "quantity": "string",
1690 "currency": "AED"
1691 },
1692 "maximum_number": "string",
1693 "minimum_number": "string",
1694 "block_size": {
1695 "number": "string",
1696 "amount": {
1697 "quantity": "string",
1698 "currency": "AED"
1699 },
1700 "count": "string"
1701 },
1702 "tier_top_bound": {
1703 "number": "string",
1704 "amount": {
1705 "quantity": "string",
1706 "currency": "AED"
1707 },
1708 "count": "string"
1709 }
1710 }
1711 ]
1712 },
1713 "billing_period": {
1714 "type": "DAY",
1715 "value": 1
1716 },
1717 "pricing_period": {
1718 "type": "DAY",
1719 "value": 1
1720 },
1721 "default_included_volume": {
1722 "number": "string",
1723 "amount": {
1724 "quantity": "string",
1725 "currency": "AED"
1726 },
1727 "count": "string",
1728 "reset_type": "string"
1729 },
1730 "default_seats_value": {
1731 "number": "string",
1732 "amount": {
1733 "quantity": "string",
1734 "currency": "AED"
1735 },
1736 "count": "string"
1737 },
1738 "conditions": {
1739 "name": "string",
1740 "meter_properties": [
1741 {
1742 "id": "string",
1743 "reference": "string",
1744 "meter_property": {
1745 "object_type": "string",
1746 "id": "string",
1747 "reference": "string",
1748 "name": "string",
1749 "description": "string",
1750 "status": "DRAFT",
1751 "type": "NUMBER",
1752 "enum_values": [
1753 "string"
1754 ]
1755 },
1756 "value": "string",
1757 "values": [
1758 "string"
1759 ],
1760 "comparator": "EQUALS"
1761 }
1762 ],
1763 "configs": [
1764 {}
1765 ]
1766 },
1767 "order": 1,
1768 "billing_in_advance": true,
1769 "volume_group_reference": "string",
1770 "top_up": {
1771 "rollover": true
1772 },
1773 "split_pricing": {
1774 "meter_properties": [
1775 {
1776 "id": "string",
1777 "reference": "string",
1778 "value": "string",
1779 "meter_property": {
1780 "object_type": "string",
1781 "id": "string",
1782 "reference": "string",
1783 "name": "string",
1784 "description": "string",
1785 "status": "DRAFT",
1786 "type": "NUMBER",
1787 "enum_values": [
1788 "string"
1789 ]
1790 }
1791 }
1792 ]
1793 },
1794 "on_demand": true,
1795 "wallet_grants": [
1796 {
1797 "wallet_type_id": "string",
1798 "wallet_type": {
1799 "object_type": "string",
1800 "id": "string",
1801 "name": "string",
1802 "reference": "string",
1803 "status": "DRAFT",
1804 "type": "CREDIT",
1805 "credit": {
1806 "grant_type": "CREDITS",
1807 "amount_grant": {
1808 "default_currency": "AED",
1809 "tax_category": "STANDARD"
1810 },
1811 "credits_grant": {
1812 "credit_type_id": "string"
1813 }
1814 },
1815 "balance": {
1816 "default_currency": "string"
1817 },
1818 "created_at": "string",
1819 "updated_at": "string"
1820 },
1821 "amount_grant": {
1822 "amount": {
1823 "quantity": "string",
1824 "currency": "AED"
1825 },
1826 "percentage": "string"
1827 },
1828 "credits_grant": {
1829 "credits": {
1830 "quantity": "string",
1831 "credit_type_id": "string"
1832 },
1833 "conversion": "string"
1834 },
1835 "expiry_policy": {
1836 "expiry_period": {
1837 "type": "DAY",
1838 "value": 1
1839 }
1840 }
1841 }
1842 ],
1843 "type": "FLAT",
1844 "pricing_type": "FLAT",
1845 "bands": [
1846 {
1847 "amount": {
1848 "quantity": "string",
1849 "currency": "AED"
1850 },
1851 "percentage": "string",
1852 "credits": {
1853 "quantity": "string",
1854 "credit_type_id": "string"
1855 },
1856 "fixed_amount": {
1857 "quantity": "string",
1858 "currency": "AED"
1859 },
1860 "maximum_amount": {
1861 "quantity": "string",
1862 "currency": "AED"
1863 },
1864 "minimum_amount": {
1865 "quantity": "string",
1866 "currency": "AED"
1867 },
1868 "maximum_number": "string",
1869 "minimum_number": "string",
1870 "block_size": {
1871 "number": "string",
1872 "amount": {
1873 "quantity": "string",
1874 "currency": "AED"
1875 },
1876 "count": "string"
1877 },
1878 "tier_top_bound": {
1879 "number": "string",
1880 "amount": {
1881 "quantity": "string",
1882 "currency": "AED"
1883 },
1884 "count": "string"
1885 }
1886 }
1887 ]
1888 }
1889 ],
1890 "pricing_currency_configs": [
1891 {
1892 "currency": "AED",
1893 "configs": [
1894 {
1895 "object_type": "string",
1896 "id": "string",
1897 "original_pricing_item_config_id": "string",
1898 "original_pricing_item_config": {},
1899 "details": {
1900 "billing_period": {
1901 "type": "DAY",
1902 "value": 1
1903 },
1904 "pricing_type": "FLAT",
1905 "pricing_period": {
1906 "type": "DAY",
1907 "value": 1
1908 },
1909 "bands": [
1910 {
1911 "amount": {
1912 "quantity": "string",
1913 "currency": "AED"
1914 },
1915 "percentage": "string",
1916 "credits": {
1917 "quantity": "string",
1918 "credit_type_id": "string"
1919 },
1920 "fixed_amount": {
1921 "quantity": "string",
1922 "currency": "AED"
1923 },
1924 "maximum_amount": {
1925 "quantity": "string",
1926 "currency": "AED"
1927 },
1928 "minimum_amount": {
1929 "quantity": "string",
1930 "currency": "AED"
1931 },
1932 "maximum_number": "string",
1933 "minimum_number": "string",
1934 "block_size": {
1935 "number": "string",
1936 "amount": {
1937 "quantity": "string",
1938 "currency": "AED"
1939 },
1940 "count": "string"
1941 },
1942 "tier_top_bound": {
1943 "number": "string",
1944 "amount": {
1945 "quantity": "string",
1946 "currency": "AED"
1947 },
1948 "count": "string"
1949 }
1950 }
1951 ]
1952 },
1953 "billing_period": {
1954 "type": "DAY",
1955 "value": 1
1956 },
1957 "pricing_period": {
1958 "type": "DAY",
1959 "value": 1
1960 },
1961 "default_included_volume": {
1962 "number": "string",
1963 "amount": {
1964 "quantity": "string",
1965 "currency": "AED"
1966 },
1967 "count": "string",
1968 "reset_type": "string"
1969 },
1970 "default_seats_value": {
1971 "number": "string",
1972 "amount": {
1973 "quantity": "string",
1974 "currency": "AED"
1975 },
1976 "count": "string"
1977 },
1978 "conditions": {
1979 "name": "string",
1980 "meter_properties": [
1981 {
1982 "id": "string",
1983 "reference": "string",
1984 "meter_property": {
1985 "object_type": "string",
1986 "id": "string",
1987 "reference": "string",
1988 "name": "string",
1989 "description": "string",
1990 "status": "DRAFT",
1991 "type": "NUMBER",
1992 "enum_values": [
1993 "string"
1994 ]
1995 },
1996 "value": "string",
1997 "values": [
1998 "string"
1999 ],
2000 "comparator": "EQUALS"
2001 }
2002 ],
2003 "configs": [
2004 {}
2005 ]
2006 },
2007 "order": 1,
2008 "billing_in_advance": true,
2009 "volume_group_reference": "string",
2010 "top_up": {
2011 "rollover": true
2012 },
2013 "split_pricing": {
2014 "meter_properties": [
2015 {
2016 "id": "string",
2017 "reference": "string",
2018 "value": "string",
2019 "meter_property": {
2020 "object_type": "string",
2021 "id": "string",
2022 "reference": "string",
2023 "name": "string",
2024 "description": "string",
2025 "status": "DRAFT",
2026 "type": "NUMBER",
2027 "enum_values": [
2028 "string"
2029 ]
2030 }
2031 }
2032 ]
2033 },
2034 "on_demand": true,
2035 "wallet_grants": [
2036 {
2037 "wallet_type_id": "string",
2038 "wallet_type": {
2039 "object_type": "string",
2040 "id": "string",
2041 "name": "string",
2042 "reference": "string",
2043 "status": "DRAFT",
2044 "type": "CREDIT",
2045 "credit": {
2046 "grant_type": "CREDITS",
2047 "amount_grant": {
2048 "default_currency": "AED",
2049 "tax_category": "STANDARD"
2050 },
2051 "credits_grant": {
2052 "credit_type_id": "string"
2053 }
2054 },
2055 "balance": {
2056 "default_currency": "string"
2057 },
2058 "created_at": "string",
2059 "updated_at": "string"
2060 },
2061 "amount_grant": {
2062 "amount": {
2063 "quantity": "string",
2064 "currency": "AED"
2065 },
2066 "percentage": "string"
2067 },
2068 "credits_grant": {
2069 "credits": {
2070 "quantity": "string",
2071 "credit_type_id": "string"
2072 },
2073 "conversion": "string"
2074 },
2075 "expiry_policy": {
2076 "expiry_period": {
2077 "type": "DAY",
2078 "value": 1
2079 }
2080 }
2081 }
2082 ],
2083 "type": "FLAT",
2084 "pricing_type": "FLAT",
2085 "bands": [
2086 {
2087 "amount": {
2088 "quantity": "string",
2089 "currency": "AED"
2090 },
2091 "percentage": "string",
2092 "credits": {
2093 "quantity": "string",
2094 "credit_type_id": "string"
2095 },
2096 "fixed_amount": {
2097 "quantity": "string",
2098 "currency": "AED"
2099 },
2100 "maximum_amount": {
2101 "quantity": "string",
2102 "currency": "AED"
2103 },
2104 "minimum_amount": {
2105 "quantity": "string",
2106 "currency": "AED"
2107 },
2108 "maximum_number": "string",
2109 "minimum_number": "string",
2110 "block_size": {
2111 "number": "string",
2112 "amount": {
2113 "quantity": "string",
2114 "currency": "AED"
2115 },
2116 "count": "string"
2117 },
2118 "tier_top_bound": {
2119 "number": "string",
2120 "amount": {
2121 "quantity": "string",
2122 "currency": "AED"
2123 },
2124 "count": "string"
2125 }
2126 }
2127 ]
2128 }
2129 ],
2130 "billing_period_configs": [
2131 {
2132 "billing_period": {
2133 "type": "DAY",
2134 "value": 1
2135 },
2136 "configs": [
2137 {
2138 "object_type": "string",
2139 "id": "string",
2140 "original_pricing_item_config_id": "string",
2141 "original_pricing_item_config": {},
2142 "details": {
2143 "billing_period": {
2144 "type": "DAY",
2145 "value": 1
2146 },
2147 "pricing_type": "FLAT",
2148 "pricing_period": {
2149 "type": "DAY",
2150 "value": 1
2151 },
2152 "bands": [
2153 {
2154 "amount": {
2155 "quantity": "string",
2156 "currency": "AED"
2157 },
2158 "percentage": "string",
2159 "credits": {
2160 "quantity": "string",
2161 "credit_type_id": "string"
2162 },
2163 "fixed_amount": {
2164 "quantity": "string",
2165 "currency": "AED"
2166 },
2167 "maximum_amount": {
2168 "quantity": "string",
2169 "currency": "AED"
2170 },
2171 "minimum_amount": {
2172 "quantity": "string",
2173 "currency": "AED"
2174 },
2175 "maximum_number": "string",
2176 "minimum_number": "string",
2177 "block_size": {
2178 "number": "string",
2179 "amount": {
2180 "quantity": {},
2181 "currency": {}
2182 },
2183 "count": "string"
2184 },
2185 "tier_top_bound": {
2186 "number": "string",
2187 "amount": {
2188 "quantity": {},
2189 "currency": {}
2190 },
2191 "count": "string"
2192 }
2193 }
2194 ]
2195 },
2196 "billing_period": {
2197 "type": "DAY",
2198 "value": 1
2199 },
2200 "pricing_period": {
2201 "type": "DAY",
2202 "value": 1
2203 },
2204 "default_included_volume": {
2205 "number": "string",
2206 "amount": {
2207 "quantity": "string",
2208 "currency": "AED"
2209 },
2210 "count": "string",
2211 "reset_type": "string"
2212 },
2213 "default_seats_value": {
2214 "number": "string",
2215 "amount": {
2216 "quantity": "string",
2217 "currency": "AED"
2218 },
2219 "count": "string"
2220 },
2221 "conditions": {
2222 "name": "string",
2223 "meter_properties": [
2224 {
2225 "id": "string",
2226 "reference": "string",
2227 "meter_property": {
2228 "object_type": "string",
2229 "id": "string",
2230 "reference": "string",
2231 "name": "string",
2232 "description": "string",
2233 "status": "DRAFT",
2234 "type": "NUMBER",
2235 "enum_values": [
2236 "string"
2237 ]
2238 },
2239 "value": "string",
2240 "values": [
2241 "string"
2242 ],
2243 "comparator": "EQUALS"
2244 }
2245 ],
2246 "configs": [
2247 {}
2248 ]
2249 },
2250 "order": 1,
2251 "billing_in_advance": true,
2252 "volume_group_reference": "string",
2253 "top_up": {
2254 "rollover": true
2255 },
2256 "split_pricing": {
2257 "meter_properties": [
2258 {
2259 "id": "string",
2260 "reference": "string",
2261 "value": "string",
2262 "meter_property": {
2263 "object_type": "string",
2264 "id": "string",
2265 "reference": "string",
2266 "name": "string",
2267 "description": "string",
2268 "status": "DRAFT",
2269 "type": "NUMBER",
2270 "enum_values": [
2271 "string"
2272 ]
2273 }
2274 }
2275 ]
2276 },
2277 "on_demand": true,
2278 "wallet_grants": [
2279 {
2280 "wallet_type_id": "string",
2281 "wallet_type": {
2282 "object_type": "string",
2283 "id": "string",
2284 "name": "string",
2285 "reference": "string",
2286 "status": "DRAFT",
2287 "type": "CREDIT",
2288 "credit": {
2289 "grant_type": "CREDITS",
2290 "amount_grant": {
2291 "default_currency": {},
2292 "tax_category": {}
2293 },
2294 "credits_grant": {
2295 "credit_type_id": {}
2296 }
2297 },
2298 "balance": {
2299 "default_currency": "string"
2300 },
2301 "created_at": "string",
2302 "updated_at": "string"
2303 },
2304 "amount_grant": {
2305 "amount": {
2306 "quantity": "string",
2307 "currency": "AED"
2308 },
2309 "percentage": "string"
2310 },
2311 "credits_grant": {
2312 "credits": {
2313 "quantity": "string",
2314 "credit_type_id": "string"
2315 },
2316 "conversion": "string"
2317 },
2318 "expiry_policy": {
2319 "expiry_period": {
2320 "type": "DAY",
2321 "value": 1
2322 }
2323 }
2324 }
2325 ],
2326 "type": "FLAT",
2327 "pricing_type": "FLAT",
2328 "bands": [
2329 {
2330 "amount": {
2331 "quantity": "string",
2332 "currency": "AED"
2333 },
2334 "percentage": "string",
2335 "credits": {
2336 "quantity": "string",
2337 "credit_type_id": "string"
2338 },
2339 "fixed_amount": {
2340 "quantity": "string",
2341 "currency": "AED"
2342 },
2343 "maximum_amount": {
2344 "quantity": "string",
2345 "currency": "AED"
2346 },
2347 "minimum_amount": {
2348 "quantity": "string",
2349 "currency": "AED"
2350 },
2351 "maximum_number": "string",
2352 "minimum_number": "string",
2353 "block_size": {
2354 "number": "string",
2355 "amount": {
2356 "quantity": "string",
2357 "currency": "AED"
2358 },
2359 "count": "string"
2360 },
2361 "tier_top_bound": {
2362 "number": "string",
2363 "amount": {
2364 "quantity": "string",
2365 "currency": "AED"
2366 },
2367 "count": "string"
2368 }
2369 }
2370 ]
2371 }
2372 ]
2373 }
2374 ],
2375 "fallback_currency": "AED"
2376 }
2377 ],
2378 "billing_period_configs": [
2379 {
2380 "billing_period": {
2381 "type": "DAY",
2382 "value": 1
2383 },
2384 "configs": [
2385 {
2386 "object_type": "string",
2387 "id": "string",
2388 "original_pricing_item_config_id": "string",
2389 "original_pricing_item_config": {},
2390 "details": {
2391 "billing_period": {
2392 "type": "DAY",
2393 "value": 1
2394 },
2395 "pricing_type": "FLAT",
2396 "pricing_period": {
2397 "type": "DAY",
2398 "value": 1
2399 },
2400 "bands": [
2401 {
2402 "amount": {
2403 "quantity": "string",
2404 "currency": "AED"
2405 },
2406 "percentage": "string",
2407 "credits": {
2408 "quantity": "string",
2409 "credit_type_id": "string"
2410 },
2411 "fixed_amount": {
2412 "quantity": "string",
2413 "currency": "AED"
2414 },
2415 "maximum_amount": {
2416 "quantity": "string",
2417 "currency": "AED"
2418 },
2419 "minimum_amount": {
2420 "quantity": "string",
2421 "currency": "AED"
2422 },
2423 "maximum_number": "string",
2424 "minimum_number": "string",
2425 "block_size": {
2426 "number": "string",
2427 "amount": {
2428 "quantity": "string",
2429 "currency": "AED"
2430 },
2431 "count": "string"
2432 },
2433 "tier_top_bound": {
2434 "number": "string",
2435 "amount": {
2436 "quantity": "string",
2437 "currency": "AED"
2438 },
2439 "count": "string"
2440 }
2441 }
2442 ]
2443 },
2444 "billing_period": {
2445 "type": "DAY",
2446 "value": 1
2447 },
2448 "pricing_period": {
2449 "type": "DAY",
2450 "value": 1
2451 },
2452 "default_included_volume": {
2453 "number": "string",
2454 "amount": {
2455 "quantity": "string",
2456 "currency": "AED"
2457 },
2458 "count": "string",
2459 "reset_type": "string"
2460 },
2461 "default_seats_value": {
2462 "number": "string",
2463 "amount": {
2464 "quantity": "string",
2465 "currency": "AED"
2466 },
2467 "count": "string"
2468 },
2469 "conditions": {
2470 "name": "string",
2471 "meter_properties": [
2472 {
2473 "id": "string",
2474 "reference": "string",
2475 "meter_property": {
2476 "object_type": "string",
2477 "id": "string",
2478 "reference": "string",
2479 "name": "string",
2480 "description": "string",
2481 "status": "DRAFT",
2482 "type": "NUMBER",
2483 "enum_values": [
2484 "string"
2485 ]
2486 },
2487 "value": "string",
2488 "values": [
2489 "string"
2490 ],
2491 "comparator": "EQUALS"
2492 }
2493 ],
2494 "configs": [
2495 {}
2496 ]
2497 },
2498 "order": 1,
2499 "billing_in_advance": true,
2500 "volume_group_reference": "string",
2501 "top_up": {
2502 "rollover": true
2503 },
2504 "split_pricing": {
2505 "meter_properties": [
2506 {
2507 "id": "string",
2508 "reference": "string",
2509 "value": "string",
2510 "meter_property": {
2511 "object_type": "string",
2512 "id": "string",
2513 "reference": "string",
2514 "name": "string",
2515 "description": "string",
2516 "status": "DRAFT",
2517 "type": "NUMBER",
2518 "enum_values": [
2519 "string"
2520 ]
2521 }
2522 }
2523 ]
2524 },
2525 "on_demand": true,
2526 "wallet_grants": [
2527 {
2528 "wallet_type_id": "string",
2529 "wallet_type": {
2530 "object_type": "string",
2531 "id": "string",
2532 "name": "string",
2533 "reference": "string",
2534 "status": "DRAFT",
2535 "type": "CREDIT",
2536 "credit": {
2537 "grant_type": "CREDITS",
2538 "amount_grant": {
2539 "default_currency": "AED",
2540 "tax_category": "STANDARD"
2541 },
2542 "credits_grant": {
2543 "credit_type_id": "string"
2544 }
2545 },
2546 "balance": {
2547 "default_currency": "string"
2548 },
2549 "created_at": "string",
2550 "updated_at": "string"
2551 },
2552 "amount_grant": {
2553 "amount": {
2554 "quantity": "string",
2555 "currency": "AED"
2556 },
2557 "percentage": "string"
2558 },
2559 "credits_grant": {
2560 "credits": {
2561 "quantity": "string",
2562 "credit_type_id": "string"
2563 },
2564 "conversion": "string"
2565 },
2566 "expiry_policy": {
2567 "expiry_period": {
2568 "type": "DAY",
2569 "value": 1
2570 }
2571 }
2572 }
2573 ],
2574 "type": "FLAT",
2575 "pricing_type": "FLAT",
2576 "bands": [
2577 {
2578 "amount": {
2579 "quantity": "string",
2580 "currency": "AED"
2581 },
2582 "percentage": "string",
2583 "credits": {
2584 "quantity": "string",
2585 "credit_type_id": "string"
2586 },
2587 "fixed_amount": {
2588 "quantity": "string",
2589 "currency": "AED"
2590 },
2591 "maximum_amount": {
2592 "quantity": "string",
2593 "currency": "AED"
2594 },
2595 "minimum_amount": {
2596 "quantity": "string",
2597 "currency": "AED"
2598 },
2599 "maximum_number": "string",
2600 "minimum_number": "string",
2601 "block_size": {
2602 "number": "string",
2603 "amount": {
2604 "quantity": "string",
2605 "currency": "AED"
2606 },
2607 "count": "string"
2608 },
2609 "tier_top_bound": {
2610 "number": "string",
2611 "amount": {
2612 "quantity": "string",
2613 "currency": "AED"
2614 },
2615 "count": "string"
2616 }
2617 }
2618 ]
2619 }
2620 ]
2621 }
2622 ],
2623 "display_order": 1
2624 }
2625 ]
2626 }
2627 ],
2628 "combined_pricing_plan_version": {
2629 "object_type": "string",
2630 "id": "string",
2631 "pricing_plan_id": "string",
2632 "pricing_plan": {
2633 "object_type": "string",
2634 "id": "string",
2635 "reference": "string",
2636 "name": "string",
2637 "description": "string",
2638 "customer_id": "string",
2639 "type": "STANDARD",
2640 "amount_type": "EXCLUDING_TAX",
2641 "pricing_plan_version_infos": [
2642 {
2643 "version": 1,
2644 "id": "string",
2645 "status": "string",
2646 "rate_card": {
2647 "start_at": "2024-01-15T09:30:00Z"
2648 }
2649 }
2650 ],
2651 "pricing_plan_selection_rules": [
2652 {
2653 "type": "RESOURCE",
2654 "resource": {
2655 "type": "PLATFORM",
2656 "field": "COUNTRY",
2657 "value": "string",
2658 "values": [
2659 "string"
2660 ],
2661 "comparator": "EQUALS"
2662 }
2663 }
2664 ],
2665 "pricing_currencies": [
2666 "AED"
2667 ],
2668 "variant": "DEFAULT"
2669 },
2670 "version": 1,
2671 "status": "DRAFT",
2672 "pricing_currency_settings": {
2673 "default_pricing_currency": "string",
2674 "pricing_currencies": [
2675 "string"
2676 ]
2677 },
2678 "billing_period_settings": {
2679 "billing_periods": [
2680 {
2681 "period": {
2682 "type": "DAY",
2683 "value": 1
2684 },
2685 "description": "string"
2686 }
2687 ]
2688 },
2689 "copied_from_pricing_plan_version_id": "string",
2690 "pricing_categories": [
2691 {
2692 "object_type": "string",
2693 "id": "string",
2694 "product_category_id": "string",
2695 "product_category": {
2696 "object_type": "string",
2697 "id": "string",
2698 "name": "string",
2699 "reference": "string",
2700 "description": "string",
2701 "tax_category": "STANDARD",
2702 "display_order": 1,
2703 "customer_id": "string"
2704 },
2705 "pricings": [
2706 {
2707 "object_type": "string",
2708 "id": "string",
2709 "pricing_plan_version_id": "string",
2710 "pricing_plan_schedule_id": "string",
2711 "pricing_group_id": "string",
2712 "original_pricing_id": "string",
2713 "original_pricing": {},
2714 "override": "ALL",
2715 "name": "string",
2716 "product_type": "DEFAULT",
2717 "product_ids": [
2718 "string"
2719 ],
2720 "display_order": 1,
2721 "products": [
2722 {
2723 "object_type": "string",
2724 "id": "string",
2725 "category_id": "string",
2726 "category": {
2727 "object_type": "string",
2728 "id": "string",
2729 "name": "string",
2730 "reference": "string",
2731 "description": "string",
2732 "tax_category": "STANDARD",
2733 "display_order": 1,
2734 "customer_id": "string"
2735 },
2736 "parent_product_id": "string",
2737 "name": "string",
2738 "reference": "string",
2739 "description": "string",
2740 "status": "DRAFT",
2741 "product_type": "DEFAULT",
2742 "tax_category": "STANDARD",
2743 "features": [
2744 {
2745 "id": "string",
2746 "reference": "string"
2747 }
2748 ],
2749 "custom_fields": [
2750 {
2751 "id": "string",
2752 "reference": "string",
2753 "value": "string",
2754 "values": [
2755 "string"
2756 ],
2757 "integration_details": {
2758 "id": "string",
2759 "reference": "string",
2760 "payment_gateway_variant": "ADYEN",
2761 "adyen": {
2762 "recurring_detail_reference": "string"
2763 },
2764 "stripe": {
2765 "payment_method_id": "string"
2766 }
2767 }
2768 }
2769 ],
2770 "display_order": 1,
2771 "linked_integrations": [
2772 {
2773 "id": "string",
2774 "link_details": [
2775 {
2776 "url": "string",
2777 "custom_field_name": "string"
2778 }
2779 ]
2780 }
2781 ],
2782 "billing_entity_id": "string",
2783 "customer_id": "string"
2784 }
2785 ],
2786 "entitlements": [
2787 {
2788 "feature_id": "string",
2789 "feature": {
2790 "object_type": "string",
2791 "id": "string",
2792 "reference": "string",
2793 "name": "string",
2794 "description": "string",
2795 "type": "SWITCH",
2796 "enum_values": [
2797 "string"
2798 ],
2799 "meter_value_calculation_id": "string",
2800 "meter_value_calculation": {
2801 "object_type": "string",
2802 "id": "string",
2803 "reference": "string",
2804 "name": "string",
2805 "description": "string",
2806 "calculation_type": "SUM",
2807 "persist": true,
2808 "meter_id": "string",
2809 "meter": {
2810 "object_type": "string",
2811 "id": "string",
2812 "reference": "string",
2813 "name": "string",
2814 "description": "string",
2815 "status": "DRAFT",
2816 "meter_values": [
2817 {
2818 "id": "string",
2819 "object": {
2820 "object_type": {},
2821 "id": {},
2822 "reference": {},
2823 "name": {},
2824 "description": {},
2825 "status": {},
2826 "type": {}
2827 },
2828 "required": true
2829 }
2830 ],
2831 "meter_properties": [
2832 {
2833 "id": "string",
2834 "object": {
2835 "object_type": {},
2836 "id": {},
2837 "reference": {},
2838 "name": {},
2839 "description": {},
2840 "status": {},
2841 "type": {},
2842 "enum_values": {}
2843 },
2844 "required": true
2845 }
2846 ]
2847 },
2848 "meter_value_id": "string",
2849 "meter_value": {
2850 "object_type": "string",
2851 "id": "string",
2852 "reference": "string",
2853 "name": "string",
2854 "description": "string",
2855 "status": "DRAFT",
2856 "type": "NUMBER"
2857 },
2858 "meter_property_id": "string",
2859 "meter_property": {
2860 "object_type": "string",
2861 "id": "string",
2862 "reference": "string",
2863 "name": "string",
2864 "description": "string",
2865 "status": "DRAFT",
2866 "type": "NUMBER",
2867 "enum_values": [
2868 "string"
2869 ]
2870 }
2871 }
2872 },
2873 "feature_reference": "string",
2874 "override": true,
2875 "number": "string",
2876 "switch": true,
2877 "amount": {
2878 "quantity": "string",
2879 "currency": "AED"
2880 },
2881 "enum": "string",
2882 "string": "string",
2883 "overwrite": true
2884 }
2885 ],
2886 "items": [
2887 {
2888 "object_type": "string",
2889 "id": "string",
2890 "original_pricing_item_id": "string",
2891 "original_pricing_item": {},
2892 "override": "ALL",
2893 "product_item_ids": [
2894 "string"
2895 ],
2896 "product_items": [
2897 {
2898 "object_type": "string",
2899 "id": "string",
2900 "product_id": "string",
2901 "product": {
2902 "object_type": "string",
2903 "id": "string",
2904 "category_id": "string",
2905 "category": {
2906 "object_type": "string",
2907 "id": "string",
2908 "name": "string",
2909 "reference": "string",
2910 "description": "string",
2911 "tax_category": "STANDARD",
2912 "display_order": 1,
2913 "customer_id": "string"
2914 },
2915 "parent_product_id": "string",
2916 "name": "string",
2917 "reference": "string",
2918 "description": "string",
2919 "status": "DRAFT",
2920 "product_type": "DEFAULT",
2921 "tax_category": "STANDARD",
2922 "features": [
2923 {
2924 "id": "string",
2925 "reference": "string"
2926 }
2927 ],
2928 "custom_fields": [
2929 {
2930 "id": "string",
2931 "reference": "string",
2932 "value": "string",
2933 "values": [
2934 "string"
2935 ],
2936 "integration_details": {
2937 "id": "string",
2938 "reference": "string",
2939 "payment_gateway_variant": "ADYEN",
2940 "adyen": {
2941 "recurring_detail_reference": {}
2942 },
2943 "stripe": {
2944 "payment_method_id": {}
2945 }
2946 }
2947 }
2948 ],
2949 "display_order": 1,
2950 "linked_integrations": [
2951 {
2952 "id": "string",
2953 "link_details": [
2954 {
2955 "url": "string",
2956 "custom_field_name": "string"
2957 }
2958 ]
2959 }
2960 ],
2961 "billing_entity_id": "string",
2962 "customer_id": "string"
2963 },
2964 "name": "string",
2965 "status": "DRAFT",
2966 "reference": "string",
2967 "description": "string",
2968 "type": "REVENUE",
2969 "model_type": "USAGE_BASED",
2970 "usage_based": {
2971 "meter_value_calculation_id": "string",
2972 "meter_value_calculation": {
2973 "object_type": "string",
2974 "id": "string",
2975 "reference": "string",
2976 "name": "string",
2977 "description": "string",
2978 "calculation_type": "SUM",
2979 "persist": true,
2980 "meter_id": "string",
2981 "meter": {
2982 "object_type": "string",
2983 "id": "string",
2984 "reference": "string",
2985 "name": "string",
2986 "description": "string",
2987 "status": "DRAFT",
2988 "meter_values": [
2989 {
2990 "id": {},
2991 "object": {},
2992 "required": {}
2993 }
2994 ],
2995 "meter_properties": [
2996 {
2997 "id": {},
2998 "object": {},
2999 "required": {}
3000 }
3001 ]
3002 },
3003 "meter_value_id": "string",
3004 "meter_value": {
3005 "object_type": "string",
3006 "id": "string",
3007 "reference": "string",
3008 "name": "string",
3009 "description": "string",
3010 "status": "DRAFT",
3011 "type": "NUMBER"
3012 },
3013 "meter_property_id": "string",
3014 "meter_property": {
3015 "object_type": "string",
3016 "id": "string",
3017 "reference": "string",
3018 "name": "string",
3019 "description": "string",
3020 "status": "DRAFT",
3021 "type": "NUMBER",
3022 "enum_values": [
3023 "string"
3024 ]
3025 }
3026 },
3027 "tiering_meter_value_calculation_id": "string",
3028 "tiering_meter_value_calculation": {
3029 "object_type": "string",
3030 "id": "string",
3031 "reference": "string",
3032 "name": "string",
3033 "description": "string",
3034 "calculation_type": "SUM",
3035 "persist": true,
3036 "meter_id": "string",
3037 "meter": {
3038 "object_type": "string",
3039 "id": "string",
3040 "reference": "string",
3041 "name": "string",
3042 "description": "string",
3043 "status": "DRAFT",
3044 "meter_values": [
3045 {
3046 "id": {},
3047 "object": {},
3048 "required": {}
3049 }
3050 ],
3051 "meter_properties": [
3052 {
3053 "id": {},
3054 "object": {},
3055 "required": {}
3056 }
3057 ]
3058 },
3059 "meter_value_id": "string",
3060 "meter_value": {
3061 "object_type": "string",
3062 "id": "string",
3063 "reference": "string",
3064 "name": "string",
3065 "description": "string",
3066 "status": "DRAFT",
3067 "type": "NUMBER"
3068 },
3069 "meter_property_id": "string",
3070 "meter_property": {
3071 "object_type": "string",
3072 "id": "string",
3073 "reference": "string",
3074 "name": "string",
3075 "description": "string",
3076 "status": "DRAFT",
3077 "type": "NUMBER",
3078 "enum_values": [
3079 "string"
3080 ]
3081 }
3082 },
3083 "report_meter_value_calculation_ids": [
3084 "string"
3085 ],
3086 "conditions": {
3087 "name": "string",
3088 "expression": {
3089 "operator": "AND",
3090 "operands": [
3091 {
3092 "meter_property": {},
3093 "expression": {}
3094 }
3095 ]
3096 },
3097 "meter_properties": [
3098 {
3099 "id": "string",
3100 "reference": "string",
3101 "meter_property": {
3102 "object_type": {},
3103 "id": {},
3104 "reference": {},
3105 "name": {},
3106 "description": {},
3107 "status": {},
3108 "type": {},
3109 "enum_values": {}
3110 },
3111 "value": "string",
3112 "values": [
3113 "string"
3114 ],
3115 "comparator": "EQUALS"
3116 }
3117 ]
3118 }
3119 },
3120 "credits": {
3121 "credit_type_id": "string",
3122 "credit_type": {
3123 "object_type": "string",
3124 "id": "string",
3125 "reference": "string",
3126 "status": "DRAFT",
3127 "name": "string",
3128 "description": "string",
3129 "unit_name": {
3130 "singular": "string",
3131 "plural": "string"
3132 },
3133 "created_at": "string",
3134 "updated_at": "string"
3135 }
3136 },
3137 "meter_value_calculation": {
3138 "object_type": "string",
3139 "id": "string",
3140 "reference": "string",
3141 "name": "string",
3142 "description": "string",
3143 "calculation_type": "SUM",
3144 "persist": true,
3145 "meter_id": "string",
3146 "meter": {
3147 "object_type": "string",
3148 "id": "string",
3149 "reference": "string",
3150 "name": "string",
3151 "description": "string",
3152 "status": "DRAFT",
3153 "meter_values": [
3154 {
3155 "id": "string",
3156 "object": {
3157 "object_type": {},
3158 "id": {},
3159 "reference": {},
3160 "name": {},
3161 "description": {},
3162 "status": {},
3163 "type": {}
3164 },
3165 "required": true
3166 }
3167 ],
3168 "meter_properties": [
3169 {
3170 "id": "string",
3171 "object": {
3172 "object_type": {},
3173 "id": {},
3174 "reference": {},
3175 "name": {},
3176 "description": {},
3177 "status": {},
3178 "type": {},
3179 "enum_values": {}
3180 },
3181 "required": true
3182 }
3183 ]
3184 },
3185 "meter_value_id": "string",
3186 "meter_value": {
3187 "object_type": "string",
3188 "id": "string",
3189 "reference": "string",
3190 "name": "string",
3191 "description": "string",
3192 "status": "DRAFT",
3193 "type": "NUMBER"
3194 },
3195 "meter_property_id": "string",
3196 "meter_property": {
3197 "object_type": "string",
3198 "id": "string",
3199 "reference": "string",
3200 "name": "string",
3201 "description": "string",
3202 "status": "DRAFT",
3203 "type": "NUMBER",
3204 "enum_values": [
3205 "string"
3206 ]
3207 }
3208 },
3209 "tax_category": "STANDARD",
3210 "display_order": 1,
3211 "unit_name": {
3212 "singular": "string",
3213 "plural": "string"
3214 },
3215 "custom_fields": [
3216 {
3217 "id": "string",
3218 "reference": "string",
3219 "value": "string",
3220 "values": [
3221 "string"
3222 ],
3223 "integration_details": {
3224 "id": "string",
3225 "reference": "string",
3226 "payment_gateway_variant": "ADYEN",
3227 "adyen": {
3228 "recurring_detail_reference": "string"
3229 },
3230 "stripe": {
3231 "payment_method_id": "string"
3232 }
3233 }
3234 }
3235 ],
3236 "customer_id": "string",
3237 "meter_value_calculation_id": "string",
3238 "report_meter_value_calculation_ids": [
3239 "string"
3240 ]
3241 }
3242 ],
3243 "configs": [
3244 {
3245 "object_type": "string",
3246 "id": "string",
3247 "original_pricing_item_config_id": "string",
3248 "original_pricing_item_config": {},
3249 "details": {
3250 "billing_period": {
3251 "type": "DAY",
3252 "value": 1
3253 },
3254 "pricing_type": "FLAT",
3255 "pricing_period": {
3256 "type": "DAY",
3257 "value": 1
3258 },
3259 "bands": [
3260 {
3261 "amount": {
3262 "quantity": "string",
3263 "currency": "AED"
3264 },
3265 "percentage": "string",
3266 "credits": {
3267 "quantity": "string",
3268 "credit_type_id": "string"
3269 },
3270 "fixed_amount": {
3271 "quantity": "string",
3272 "currency": "AED"
3273 },
3274 "maximum_amount": {
3275 "quantity": "string",
3276 "currency": "AED"
3277 },
3278 "minimum_amount": {
3279 "quantity": "string",
3280 "currency": "AED"
3281 },
3282 "maximum_number": "string",
3283 "minimum_number": "string",
3284 "block_size": {
3285 "number": "string",
3286 "amount": {
3287 "quantity": {},
3288 "currency": {}
3289 },
3290 "count": "string"
3291 },
3292 "tier_top_bound": {
3293 "number": "string",
3294 "amount": {
3295 "quantity": {},
3296 "currency": {}
3297 },
3298 "count": "string"
3299 }
3300 }
3301 ]
3302 },
3303 "billing_period": {
3304 "type": "DAY",
3305 "value": 1
3306 },
3307 "pricing_period": {
3308 "type": "DAY",
3309 "value": 1
3310 },
3311 "default_included_volume": {
3312 "number": "string",
3313 "amount": {
3314 "quantity": "string",
3315 "currency": "AED"
3316 },
3317 "count": "string",
3318 "reset_type": "string"
3319 },
3320 "default_seats_value": {
3321 "number": "string",
3322 "amount": {
3323 "quantity": "string",
3324 "currency": "AED"
3325 },
3326 "count": "string"
3327 },
3328 "conditions": {
3329 "name": "string",
3330 "meter_properties": [
3331 {
3332 "id": "string",
3333 "reference": "string",
3334 "meter_property": {
3335 "object_type": "string",
3336 "id": "string",
3337 "reference": "string",
3338 "name": "string",
3339 "description": "string",
3340 "status": "DRAFT",
3341 "type": "NUMBER",
3342 "enum_values": [
3343 "string"
3344 ]
3345 },
3346 "value": "string",
3347 "values": [
3348 "string"
3349 ],
3350 "comparator": "EQUALS"
3351 }
3352 ],
3353 "configs": [
3354 {}
3355 ]
3356 },
3357 "order": 1,
3358 "billing_in_advance": true,
3359 "volume_group_reference": "string",
3360 "top_up": {
3361 "rollover": true
3362 },
3363 "split_pricing": {
3364 "meter_properties": [
3365 {
3366 "id": "string",
3367 "reference": "string",
3368 "value": "string",
3369 "meter_property": {
3370 "object_type": "string",
3371 "id": "string",
3372 "reference": "string",
3373 "name": "string",
3374 "description": "string",
3375 "status": "DRAFT",
3376 "type": "NUMBER",
3377 "enum_values": [
3378 "string"
3379 ]
3380 }
3381 }
3382 ]
3383 },
3384 "on_demand": true,
3385 "wallet_grants": [
3386 {
3387 "wallet_type_id": "string",
3388 "wallet_type": {
3389 "object_type": "string",
3390 "id": "string",
3391 "name": "string",
3392 "reference": "string",
3393 "status": "DRAFT",
3394 "type": "CREDIT",
3395 "credit": {
3396 "grant_type": "CREDITS",
3397 "amount_grant": {
3398 "default_currency": {},
3399 "tax_category": {}
3400 },
3401 "credits_grant": {
3402 "credit_type_id": {}
3403 }
3404 },
3405 "balance": {
3406 "default_currency": "string"
3407 },
3408 "created_at": "string",
3409 "updated_at": "string"
3410 },
3411 "amount_grant": {
3412 "amount": {
3413 "quantity": "string",
3414 "currency": "AED"
3415 },
3416 "percentage": "string"
3417 },
3418 "credits_grant": {
3419 "credits": {
3420 "quantity": "string",
3421 "credit_type_id": "string"
3422 },
3423 "conversion": "string"
3424 },
3425 "expiry_policy": {
3426 "expiry_period": {
3427 "type": "DAY",
3428 "value": 1
3429 }
3430 }
3431 }
3432 ],
3433 "type": "FLAT",
3434 "pricing_type": "FLAT",
3435 "bands": [
3436 {
3437 "amount": {
3438 "quantity": "string",
3439 "currency": "AED"
3440 },
3441 "percentage": "string",
3442 "credits": {
3443 "quantity": "string",
3444 "credit_type_id": "string"
3445 },
3446 "fixed_amount": {
3447 "quantity": "string",
3448 "currency": "AED"
3449 },
3450 "maximum_amount": {
3451 "quantity": "string",
3452 "currency": "AED"
3453 },
3454 "minimum_amount": {
3455 "quantity": "string",
3456 "currency": "AED"
3457 },
3458 "maximum_number": "string",
3459 "minimum_number": "string",
3460 "block_size": {
3461 "number": "string",
3462 "amount": {
3463 "quantity": "string",
3464 "currency": "AED"
3465 },
3466 "count": "string"
3467 },
3468 "tier_top_bound": {
3469 "number": "string",
3470 "amount": {
3471 "quantity": "string",
3472 "currency": "AED"
3473 },
3474 "count": "string"
3475 }
3476 }
3477 ]
3478 }
3479 ],
3480 "pricing_currency_configs": [
3481 {
3482 "currency": "AED",
3483 "configs": [
3484 {
3485 "object_type": "string",
3486 "id": "string",
3487 "original_pricing_item_config_id": "string",
3488 "original_pricing_item_config": {},
3489 "details": {
3490 "billing_period": {
3491 "type": "DAY",
3492 "value": 1
3493 },
3494 "pricing_type": "FLAT",
3495 "pricing_period": {
3496 "type": "DAY",
3497 "value": 1
3498 },
3499 "bands": [
3500 {
3501 "amount": {
3502 "quantity": {},
3503 "currency": {}
3504 },
3505 "percentage": "string",
3506 "credits": {
3507 "quantity": {},
3508 "credit_type_id": {}
3509 },
3510 "fixed_amount": {
3511 "quantity": {},
3512 "currency": {}
3513 },
3514 "maximum_amount": {
3515 "quantity": {},
3516 "currency": {}
3517 },
3518 "minimum_amount": {
3519 "quantity": {},
3520 "currency": {}
3521 },
3522 "maximum_number": "string",
3523 "minimum_number": "string",
3524 "block_size": {
3525 "number": {},
3526 "amount": {},
3527 "count": {}
3528 },
3529 "tier_top_bound": {
3530 "number": {},
3531 "amount": {},
3532 "count": {}
3533 }
3534 }
3535 ]
3536 },
3537 "billing_period": {
3538 "type": "DAY",
3539 "value": 1
3540 },
3541 "pricing_period": {
3542 "type": "DAY",
3543 "value": 1
3544 },
3545 "default_included_volume": {
3546 "number": "string",
3547 "amount": {
3548 "quantity": "string",
3549 "currency": "AED"
3550 },
3551 "count": "string",
3552 "reset_type": "string"
3553 },
3554 "default_seats_value": {
3555 "number": "string",
3556 "amount": {
3557 "quantity": "string",
3558 "currency": "AED"
3559 },
3560 "count": "string"
3561 },
3562 "conditions": {
3563 "name": "string",
3564 "meter_properties": [
3565 {
3566 "id": "string",
3567 "reference": "string",
3568 "meter_property": {
3569 "object_type": {},
3570 "id": {},
3571 "reference": {},
3572 "name": {},
3573 "description": {},
3574 "status": {},
3575 "type": {},
3576 "enum_values": {}
3577 },
3578 "value": "string",
3579 "values": [
3580 "string"
3581 ],
3582 "comparator": "EQUALS"
3583 }
3584 ],
3585 "configs": [
3586 {}
3587 ]
3588 },
3589 "order": 1,
3590 "billing_in_advance": true,
3591 "volume_group_reference": "string",
3592 "top_up": {
3593 "rollover": true
3594 },
3595 "split_pricing": {
3596 "meter_properties": [
3597 {
3598 "id": "string",
3599 "reference": "string",
3600 "value": "string",
3601 "meter_property": {
3602 "object_type": {},
3603 "id": {},
3604 "reference": {},
3605 "name": {},
3606 "description": {},
3607 "status": {},
3608 "type": {},
3609 "enum_values": {}
3610 }
3611 }
3612 ]
3613 },
3614 "on_demand": true,
3615 "wallet_grants": [
3616 {
3617 "wallet_type_id": "string",
3618 "wallet_type": {
3619 "object_type": "string",
3620 "id": "string",
3621 "name": "string",
3622 "reference": "string",
3623 "status": "DRAFT",
3624 "type": "CREDIT",
3625 "credit": {
3626 "grant_type": {},
3627 "amount_grant": {},
3628 "credits_grant": {}
3629 },
3630 "balance": {
3631 "default_currency": {}
3632 },
3633 "created_at": "string",
3634 "updated_at": "string"
3635 },
3636 "amount_grant": {
3637 "amount": {
3638 "quantity": {},
3639 "currency": {}
3640 },
3641 "percentage": "string"
3642 },
3643 "credits_grant": {
3644 "credits": {
3645 "quantity": {},
3646 "credit_type_id": {}
3647 },
3648 "conversion": "string"
3649 },
3650 "expiry_policy": {
3651 "expiry_period": {
3652 "type": {},
3653 "value": {}
3654 }
3655 }
3656 }
3657 ],
3658 "type": "FLAT",
3659 "pricing_type": "FLAT",
3660 "bands": [
3661 {
3662 "amount": {
3663 "quantity": "string",
3664 "currency": "AED"
3665 },
3666 "percentage": "string",
3667 "credits": {
3668 "quantity": "string",
3669 "credit_type_id": "string"
3670 },
3671 "fixed_amount": {
3672 "quantity": "string",
3673 "currency": "AED"
3674 },
3675 "maximum_amount": {
3676 "quantity": "string",
3677 "currency": "AED"
3678 },
3679 "minimum_amount": {
3680 "quantity": "string",
3681 "currency": "AED"
3682 },
3683 "maximum_number": "string",
3684 "minimum_number": "string",
3685 "block_size": {
3686 "number": "string",
3687 "amount": {
3688 "quantity": {},
3689 "currency": {}
3690 },
3691 "count": "string"
3692 },
3693 "tier_top_bound": {
3694 "number": "string",
3695 "amount": {
3696 "quantity": {},
3697 "currency": {}
3698 },
3699 "count": "string"
3700 }
3701 }
3702 ]
3703 }
3704 ],
3705 "billing_period_configs": [
3706 {
3707 "billing_period": {
3708 "type": "DAY",
3709 "value": 1
3710 },
3711 "configs": [
3712 {
3713 "object_type": "string",
3714 "id": "string",
3715 "original_pricing_item_config_id": "string",
3716 "original_pricing_item_config": {},
3717 "details": {
3718 "billing_period": {
3719 "type": {},
3720 "value": {}
3721 },
3722 "pricing_type": "FLAT",
3723 "pricing_period": {
3724 "type": {},
3725 "value": {}
3726 },
3727 "bands": [
3728 {
3729 "amount": {},
3730 "percentage": {},
3731 "credits": {},
3732 "fixed_amount": {},
3733 "maximum_amount": {},
3734 "minimum_amount": {},
3735 "maximum_number": {},
3736 "minimum_number": {},
3737 "block_size": {},
3738 "tier_top_bound": {}
3739 }
3740 ]
3741 },
3742 "billing_period": {
3743 "type": "DAY",
3744 "value": 1
3745 },
3746 "pricing_period": {
3747 "type": "DAY",
3748 "value": 1
3749 },
3750 "default_included_volume": {
3751 "number": "string",
3752 "amount": {
3753 "quantity": {},
3754 "currency": {}
3755 },
3756 "count": "string",
3757 "reset_type": "string"
3758 },
3759 "default_seats_value": {
3760 "number": "string",
3761 "amount": {
3762 "quantity": {},
3763 "currency": {}
3764 },
3765 "count": "string"
3766 },
3767 "conditions": {
3768 "name": "string",
3769 "meter_properties": [
3770 {
3771 "id": {},
3772 "reference": {},
3773 "meter_property": {},
3774 "value": {},
3775 "values": {},
3776 "comparator": {}
3777 }
3778 ],
3779 "configs": [
3780 {}
3781 ]
3782 },
3783 "order": 1,
3784 "billing_in_advance": true,
3785 "volume_group_reference": "string",
3786 "top_up": {
3787 "rollover": true
3788 },
3789 "split_pricing": {
3790 "meter_properties": [
3791 {
3792 "id": {},
3793 "reference": {},
3794 "value": {},
3795 "meter_property": {}
3796 }
3797 ]
3798 },
3799 "on_demand": true,
3800 "wallet_grants": [
3801 {
3802 "wallet_type_id": "string",
3803 "wallet_type": {
3804 "object_type": {},
3805 "id": {},
3806 "name": {},
3807 "reference": {},
3808 "status": {},
3809 "type": {},
3810 "credit": {},
3811 "balance": {},
3812 "created_at": {},
3813 "updated_at": {}
3814 },
3815 "amount_grant": {
3816 "amount": {},
3817 "percentage": {}
3818 },
3819 "credits_grant": {
3820 "credits": {},
3821 "conversion": {}
3822 },
3823 "expiry_policy": {
3824 "expiry_period": {}
3825 }
3826 }
3827 ],
3828 "type": "FLAT",
3829 "pricing_type": "FLAT",
3830 "bands": [
3831 {
3832 "amount": {
3833 "quantity": {},
3834 "currency": {}
3835 },
3836 "percentage": "string",
3837 "credits": {
3838 "quantity": {},
3839 "credit_type_id": {}
3840 },
3841 "fixed_amount": {
3842 "quantity": {},
3843 "currency": {}
3844 },
3845 "maximum_amount": {
3846 "quantity": {},
3847 "currency": {}
3848 },
3849 "minimum_amount": {
3850 "quantity": {},
3851 "currency": {}
3852 },
3853 "maximum_number": "string",
3854 "minimum_number": "string",
3855 "block_size": {
3856 "number": {},
3857 "amount": {},
3858 "count": {}
3859 },
3860 "tier_top_bound": {
3861 "number": {},
3862 "amount": {},
3863 "count": {}
3864 }
3865 }
3866 ]
3867 }
3868 ]
3869 }
3870 ],
3871 "fallback_currency": "AED"
3872 }
3873 ],
3874 "billing_period_configs": [
3875 {
3876 "billing_period": {
3877 "type": "DAY",
3878 "value": 1
3879 },
3880 "configs": [
3881 {
3882 "object_type": "string",
3883 "id": "string",
3884 "original_pricing_item_config_id": "string",
3885 "original_pricing_item_config": {},
3886 "details": {
3887 "billing_period": {
3888 "type": "DAY",
3889 "value": 1
3890 },
3891 "pricing_type": "FLAT",
3892 "pricing_period": {
3893 "type": "DAY",
3894 "value": 1
3895 },
3896 "bands": [
3897 {
3898 "amount": {
3899 "quantity": {},
3900 "currency": {}
3901 },
3902 "percentage": "string",
3903 "credits": {
3904 "quantity": {},
3905 "credit_type_id": {}
3906 },
3907 "fixed_amount": {
3908 "quantity": {},
3909 "currency": {}
3910 },
3911 "maximum_amount": {
3912 "quantity": {},
3913 "currency": {}
3914 },
3915 "minimum_amount": {
3916 "quantity": {},
3917 "currency": {}
3918 },
3919 "maximum_number": "string",
3920 "minimum_number": "string",
3921 "block_size": {
3922 "number": {},
3923 "amount": {},
3924 "count": {}
3925 },
3926 "tier_top_bound": {
3927 "number": {},
3928 "amount": {},
3929 "count": {}
3930 }
3931 }
3932 ]
3933 },
3934 "billing_period": {
3935 "type": "DAY",
3936 "value": 1
3937 },
3938 "pricing_period": {
3939 "type": "DAY",
3940 "value": 1
3941 },
3942 "default_included_volume": {
3943 "number": "string",
3944 "amount": {
3945 "quantity": "string",
3946 "currency": "AED"
3947 },
3948 "count": "string",
3949 "reset_type": "string"
3950 },
3951 "default_seats_value": {
3952 "number": "string",
3953 "amount": {
3954 "quantity": "string",
3955 "currency": "AED"
3956 },
3957 "count": "string"
3958 },
3959 "conditions": {
3960 "name": "string",
3961 "meter_properties": [
3962 {
3963 "id": "string",
3964 "reference": "string",
3965 "meter_property": {
3966 "object_type": {},
3967 "id": {},
3968 "reference": {},
3969 "name": {},
3970 "description": {},
3971 "status": {},
3972 "type": {},
3973 "enum_values": {}
3974 },
3975 "value": "string",
3976 "values": [
3977 "string"
3978 ],
3979 "comparator": "EQUALS"
3980 }
3981 ],
3982 "configs": [
3983 {}
3984 ]
3985 },
3986 "order": 1,
3987 "billing_in_advance": true,
3988 "volume_group_reference": "string",
3989 "top_up": {
3990 "rollover": true
3991 },
3992 "split_pricing": {
3993 "meter_properties": [
3994 {
3995 "id": "string",
3996 "reference": "string",
3997 "value": "string",
3998 "meter_property": {
3999 "object_type": {},
4000 "id": {},
4001 "reference": {},
4002 "name": {},
4003 "description": {},
4004 "status": {},
4005 "type": {},
4006 "enum_values": {}
4007 }
4008 }
4009 ]
4010 },
4011 "on_demand": true,
4012 "wallet_grants": [
4013 {
4014 "wallet_type_id": "string",
4015 "wallet_type": {
4016 "object_type": "string",
4017 "id": "string",
4018 "name": "string",
4019 "reference": "string",
4020 "status": "DRAFT",
4021 "type": "CREDIT",
4022 "credit": {
4023 "grant_type": {},
4024 "amount_grant": {},
4025 "credits_grant": {}
4026 },
4027 "balance": {
4028 "default_currency": {}
4029 },
4030 "created_at": "string",
4031 "updated_at": "string"
4032 },
4033 "amount_grant": {
4034 "amount": {
4035 "quantity": {},
4036 "currency": {}
4037 },
4038 "percentage": "string"
4039 },
4040 "credits_grant": {
4041 "credits": {
4042 "quantity": {},
4043 "credit_type_id": {}
4044 },
4045 "conversion": "string"
4046 },
4047 "expiry_policy": {
4048 "expiry_period": {
4049 "type": {},
4050 "value": {}
4051 }
4052 }
4053 }
4054 ],
4055 "type": "FLAT",
4056 "pricing_type": "FLAT",
4057 "bands": [
4058 {
4059 "amount": {
4060 "quantity": "string",
4061 "currency": "AED"
4062 },
4063 "percentage": "string",
4064 "credits": {
4065 "quantity": "string",
4066 "credit_type_id": "string"
4067 },
4068 "fixed_amount": {
4069 "quantity": "string",
4070 "currency": "AED"
4071 },
4072 "maximum_amount": {
4073 "quantity": "string",
4074 "currency": "AED"
4075 },
4076 "minimum_amount": {
4077 "quantity": "string",
4078 "currency": "AED"
4079 },
4080 "maximum_number": "string",
4081 "minimum_number": "string",
4082 "block_size": {
4083 "number": "string",
4084 "amount": {
4085 "quantity": {},
4086 "currency": {}
4087 },
4088 "count": "string"
4089 },
4090 "tier_top_bound": {
4091 "number": "string",
4092 "amount": {
4093 "quantity": {},
4094 "currency": {}
4095 },
4096 "count": "string"
4097 }
4098 }
4099 ]
4100 }
4101 ]
4102 }
4103 ],
4104 "display_order": 1
4105 }
4106 ]
4107 }
4108 ],
4109 "pricing_groups": [
4110 {
4111 "object_type": "string",
4112 "id": "string",
4113 "pricing_plan_version_id": "string",
4114 "name": "string",
4115 "product_type": "DEFAULT",
4116 "selection_constraint": "ANY",
4117 "display_order": 1,
4118 "pricings": [
4119 {
4120 "object_type": "string",
4121 "id": "string",
4122 "pricing_plan_version_id": "string",
4123 "pricing_plan_schedule_id": "string",
4124 "pricing_group_id": "string",
4125 "original_pricing_id": "string",
4126 "original_pricing": {},
4127 "override": "ALL",
4128 "name": "string",
4129 "product_type": "DEFAULT",
4130 "product_ids": [
4131 "string"
4132 ],
4133 "display_order": 1,
4134 "products": [
4135 {
4136 "object_type": "string",
4137 "id": "string",
4138 "category_id": "string",
4139 "category": {
4140 "object_type": "string",
4141 "id": "string",
4142 "name": "string",
4143 "reference": "string",
4144 "description": "string",
4145 "tax_category": "STANDARD",
4146 "display_order": 1,
4147 "customer_id": "string"
4148 },
4149 "parent_product_id": "string",
4150 "name": "string",
4151 "reference": "string",
4152 "description": "string",
4153 "status": "DRAFT",
4154 "product_type": "DEFAULT",
4155 "tax_category": "STANDARD",
4156 "features": [
4157 {
4158 "id": "string",
4159 "reference": "string"
4160 }
4161 ],
4162 "custom_fields": [
4163 {
4164 "id": "string",
4165 "reference": "string",
4166 "value": "string",
4167 "values": [
4168 "string"
4169 ],
4170 "integration_details": {
4171 "id": "string",
4172 "reference": "string",
4173 "payment_gateway_variant": "ADYEN",
4174 "adyen": {
4175 "recurring_detail_reference": "string"
4176 },
4177 "stripe": {
4178 "payment_method_id": "string"
4179 }
4180 }
4181 }
4182 ],
4183 "display_order": 1,
4184 "linked_integrations": [
4185 {
4186 "id": "string",
4187 "link_details": [
4188 {
4189 "url": "string",
4190 "custom_field_name": "string"
4191 }
4192 ]
4193 }
4194 ],
4195 "billing_entity_id": "string",
4196 "customer_id": "string"
4197 }
4198 ],
4199 "entitlements": [
4200 {
4201 "feature_id": "string",
4202 "feature": {
4203 "object_type": "string",
4204 "id": "string",
4205 "reference": "string",
4206 "name": "string",
4207 "description": "string",
4208 "type": "SWITCH",
4209 "enum_values": [
4210 "string"
4211 ],
4212 "meter_value_calculation_id": "string",
4213 "meter_value_calculation": {
4214 "object_type": "string",
4215 "id": "string",
4216 "reference": "string",
4217 "name": "string",
4218 "description": "string",
4219 "calculation_type": "SUM",
4220 "persist": true,
4221 "meter_id": "string",
4222 "meter": {
4223 "object_type": "string",
4224 "id": "string",
4225 "reference": "string",
4226 "name": "string",
4227 "description": "string",
4228 "status": "DRAFT",
4229 "meter_values": [
4230 {
4231 "id": {},
4232 "object": {},
4233 "required": {}
4234 }
4235 ],
4236 "meter_properties": [
4237 {
4238 "id": {},
4239 "object": {},
4240 "required": {}
4241 }
4242 ]
4243 },
4244 "meter_value_id": "string",
4245 "meter_value": {
4246 "object_type": "string",
4247 "id": "string",
4248 "reference": "string",
4249 "name": "string",
4250 "description": "string",
4251 "status": "DRAFT",
4252 "type": "NUMBER"
4253 },
4254 "meter_property_id": "string",
4255 "meter_property": {
4256 "object_type": "string",
4257 "id": "string",
4258 "reference": "string",
4259 "name": "string",
4260 "description": "string",
4261 "status": "DRAFT",
4262 "type": "NUMBER",
4263 "enum_values": [
4264 "string"
4265 ]
4266 }
4267 }
4268 },
4269 "feature_reference": "string",
4270 "override": true,
4271 "number": "string",
4272 "switch": true,
4273 "amount": {
4274 "quantity": "string",
4275 "currency": "AED"
4276 },
4277 "enum": "string",
4278 "string": "string",
4279 "overwrite": true
4280 }
4281 ],
4282 "items": [
4283 {
4284 "object_type": "string",
4285 "id": "string",
4286 "original_pricing_item_id": "string",
4287 "original_pricing_item": {},
4288 "override": "ALL",
4289 "product_item_ids": [
4290 "string"
4291 ],
4292 "product_items": [
4293 {
4294 "object_type": "string",
4295 "id": "string",
4296 "product_id": "string",
4297 "product": {
4298 "object_type": "string",
4299 "id": "string",
4300 "category_id": "string",
4301 "category": {
4302 "object_type": "string",
4303 "id": "string",
4304 "name": "string",
4305 "reference": "string",
4306 "description": "string",
4307 "tax_category": "STANDARD",
4308 "display_order": 1,
4309 "customer_id": "string"
4310 },
4311 "parent_product_id": "string",
4312 "name": "string",
4313 "reference": "string",
4314 "description": "string",
4315 "status": "DRAFT",
4316 "product_type": "DEFAULT",
4317 "tax_category": "STANDARD",
4318 "features": [
4319 {
4320 "id": "string",
4321 "reference": "string"
4322 }
4323 ],
4324 "custom_fields": [
4325 {
4326 "id": "string",
4327 "reference": "string",
4328 "value": "string",
4329 "values": [
4330 "string"
4331 ],
4332 "integration_details": {
4333 "id": {},
4334 "reference": {},
4335 "payment_gateway_variant": {},
4336 "adyen": {},
4337 "stripe": {}
4338 }
4339 }
4340 ],
4341 "display_order": 1,
4342 "linked_integrations": [
4343 {
4344 "id": "string",
4345 "link_details": [
4346 {
4347 "url": {},
4348 "custom_field_name": {}
4349 }
4350 ]
4351 }
4352 ],
4353 "billing_entity_id": "string",
4354 "customer_id": "string"
4355 },
4356 "name": "string",
4357 "status": "DRAFT",
4358 "reference": "string",
4359 "description": "string",
4360 "type": "REVENUE",
4361 "model_type": "USAGE_BASED",
4362 "usage_based": {
4363 "meter_value_calculation_id": "string",
4364 "meter_value_calculation": {
4365 "object_type": "string",
4366 "id": "string",
4367 "reference": "string",
4368 "name": "string",
4369 "description": "string",
4370 "calculation_type": "SUM",
4371 "persist": true,
4372 "meter_id": "string",
4373 "meter": {
4374 "object_type": {},
4375 "id": {},
4376 "reference": {},
4377 "name": {},
4378 "description": {},
4379 "status": {},
4380 "meter_values": {},
4381 "meter_properties": {}
4382 },
4383 "meter_value_id": "string",
4384 "meter_value": {
4385 "object_type": {},
4386 "id": {},
4387 "reference": {},
4388 "name": {},
4389 "description": {},
4390 "status": {},
4391 "type": {}
4392 },
4393 "meter_property_id": "string",
4394 "meter_property": {
4395 "object_type": {},
4396 "id": {},
4397 "reference": {},
4398 "name": {},
4399 "description": {},
4400 "status": {},
4401 "type": {},
4402 "enum_values": {}
4403 }
4404 },
4405 "tiering_meter_value_calculation_id": "string",
4406 "tiering_meter_value_calculation": {
4407 "object_type": "string",
4408 "id": "string",
4409 "reference": "string",
4410 "name": "string",
4411 "description": "string",
4412 "calculation_type": "SUM",
4413 "persist": true,
4414 "meter_id": "string",
4415 "meter": {
4416 "object_type": {},
4417 "id": {},
4418 "reference": {},
4419 "name": {},
4420 "description": {},
4421 "status": {},
4422 "meter_values": {},
4423 "meter_properties": {}
4424 },
4425 "meter_value_id": "string",
4426 "meter_value": {
4427 "object_type": {},
4428 "id": {},
4429 "reference": {},
4430 "name": {},
4431 "description": {},
4432 "status": {},
4433 "type": {}
4434 },
4435 "meter_property_id": "string",
4436 "meter_property": {
4437 "object_type": {},
4438 "id": {},
4439 "reference": {},
4440 "name": {},
4441 "description": {},
4442 "status": {},
4443 "type": {},
4444 "enum_values": {}
4445 }
4446 },
4447 "report_meter_value_calculation_ids": [
4448 "string"
4449 ],
4450 "conditions": {
4451 "name": "string",
4452 "expression": {
4453 "operator": {},
4454 "operands": {}
4455 },
4456 "meter_properties": [
4457 {
4458 "id": {},
4459 "reference": {},
4460 "meter_property": {},
4461 "value": {},
4462 "values": {},
4463 "comparator": {}
4464 }
4465 ]
4466 }
4467 },
4468 "credits": {
4469 "credit_type_id": "string",
4470 "credit_type": {
4471 "object_type": "string",
4472 "id": "string",
4473 "reference": "string",
4474 "status": "DRAFT",
4475 "name": "string",
4476 "description": "string",
4477 "unit_name": {
4478 "singular": {},
4479 "plural": {}
4480 },
4481 "created_at": "string",
4482 "updated_at": "string"
4483 }
4484 },
4485 "meter_value_calculation": {
4486 "object_type": "string",
4487 "id": "string",
4488 "reference": "string",
4489 "name": "string",
4490 "description": "string",
4491 "calculation_type": "SUM",
4492 "persist": true,
4493 "meter_id": "string",
4494 "meter": {
4495 "object_type": "string",
4496 "id": "string",
4497 "reference": "string",
4498 "name": "string",
4499 "description": "string",
4500 "status": "DRAFT",
4501 "meter_values": [
4502 {
4503 "id": {},
4504 "object": {},
4505 "required": {}
4506 }
4507 ],
4508 "meter_properties": [
4509 {
4510 "id": {},
4511 "object": {},
4512 "required": {}
4513 }
4514 ]
4515 },
4516 "meter_value_id": "string",
4517 "meter_value": {
4518 "object_type": "string",
4519 "id": "string",
4520 "reference": "string",
4521 "name": "string",
4522 "description": "string",
4523 "status": "DRAFT",
4524 "type": "NUMBER"
4525 },
4526 "meter_property_id": "string",
4527 "meter_property": {
4528 "object_type": "string",
4529 "id": "string",
4530 "reference": "string",
4531 "name": "string",
4532 "description": "string",
4533 "status": "DRAFT",
4534 "type": "NUMBER",
4535 "enum_values": [
4536 "string"
4537 ]
4538 }
4539 },
4540 "tax_category": "STANDARD",
4541 "display_order": 1,
4542 "unit_name": {
4543 "singular": "string",
4544 "plural": "string"
4545 },
4546 "custom_fields": [
4547 {
4548 "id": "string",
4549 "reference": "string",
4550 "value": "string",
4551 "values": [
4552 "string"
4553 ],
4554 "integration_details": {
4555 "id": "string",
4556 "reference": "string",
4557 "payment_gateway_variant": "ADYEN",
4558 "adyen": {
4559 "recurring_detail_reference": {}
4560 },
4561 "stripe": {
4562 "payment_method_id": {}
4563 }
4564 }
4565 }
4566 ],
4567 "customer_id": "string",
4568 "meter_value_calculation_id": "string",
4569 "report_meter_value_calculation_ids": [
4570 "string"
4571 ]
4572 }
4573 ],
4574 "configs": [
4575 {
4576 "object_type": "string",
4577 "id": "string",
4578 "original_pricing_item_config_id": "string",
4579 "original_pricing_item_config": {},
4580 "details": {
4581 "billing_period": {
4582 "type": "DAY",
4583 "value": 1
4584 },
4585 "pricing_type": "FLAT",
4586 "pricing_period": {
4587 "type": "DAY",
4588 "value": 1
4589 },
4590 "bands": [
4591 {
4592 "amount": {
4593 "quantity": {},
4594 "currency": {}
4595 },
4596 "percentage": "string",
4597 "credits": {
4598 "quantity": {},
4599 "credit_type_id": {}
4600 },
4601 "fixed_amount": {
4602 "quantity": {},
4603 "currency": {}
4604 },
4605 "maximum_amount": {
4606 "quantity": {},
4607 "currency": {}
4608 },
4609 "minimum_amount": {
4610 "quantity": {},
4611 "currency": {}
4612 },
4613 "maximum_number": "string",
4614 "minimum_number": "string",
4615 "block_size": {
4616 "number": {},
4617 "amount": {},
4618 "count": {}
4619 },
4620 "tier_top_bound": {
4621 "number": {},
4622 "amount": {},
4623 "count": {}
4624 }
4625 }
4626 ]
4627 },
4628 "billing_period": {
4629 "type": "DAY",
4630 "value": 1
4631 },
4632 "pricing_period": {
4633 "type": "DAY",
4634 "value": 1
4635 },
4636 "default_included_volume": {
4637 "number": "string",
4638 "amount": {
4639 "quantity": "string",
4640 "currency": "AED"
4641 },
4642 "count": "string",
4643 "reset_type": "string"
4644 },
4645 "default_seats_value": {
4646 "number": "string",
4647 "amount": {
4648 "quantity": "string",
4649 "currency": "AED"
4650 },
4651 "count": "string"
4652 },
4653 "conditions": {
4654 "name": "string",
4655 "meter_properties": [
4656 {
4657 "id": "string",
4658 "reference": "string",
4659 "meter_property": {
4660 "object_type": {},
4661 "id": {},
4662 "reference": {},
4663 "name": {},
4664 "description": {},
4665 "status": {},
4666 "type": {},
4667 "enum_values": {}
4668 },
4669 "value": "string",
4670 "values": [
4671 "string"
4672 ],
4673 "comparator": "EQUALS"
4674 }
4675 ],
4676 "configs": [
4677 {}
4678 ]
4679 },
4680 "order": 1,
4681 "billing_in_advance": true,
4682 "volume_group_reference": "string",
4683 "top_up": {
4684 "rollover": true
4685 },
4686 "split_pricing": {
4687 "meter_properties": [
4688 {
4689 "id": "string",
4690 "reference": "string",
4691 "value": "string",
4692 "meter_property": {
4693 "object_type": {},
4694 "id": {},
4695 "reference": {},
4696 "name": {},
4697 "description": {},
4698 "status": {},
4699 "type": {},
4700 "enum_values": {}
4701 }
4702 }
4703 ]
4704 },
4705 "on_demand": true,
4706 "wallet_grants": [
4707 {
4708 "wallet_type_id": "string",
4709 "wallet_type": {
4710 "object_type": "string",
4711 "id": "string",
4712 "name": "string",
4713 "reference": "string",
4714 "status": "DRAFT",
4715 "type": "CREDIT",
4716 "credit": {
4717 "grant_type": {},
4718 "amount_grant": {},
4719 "credits_grant": {}
4720 },
4721 "balance": {
4722 "default_currency": {}
4723 },
4724 "created_at": "string",
4725 "updated_at": "string"
4726 },
4727 "amount_grant": {
4728 "amount": {
4729 "quantity": {},
4730 "currency": {}
4731 },
4732 "percentage": "string"
4733 },
4734 "credits_grant": {
4735 "credits": {
4736 "quantity": {},
4737 "credit_type_id": {}
4738 },
4739 "conversion": "string"
4740 },
4741 "expiry_policy": {
4742 "expiry_period": {
4743 "type": {},
4744 "value": {}
4745 }
4746 }
4747 }
4748 ],
4749 "type": "FLAT",
4750 "pricing_type": "FLAT",
4751 "bands": [
4752 {
4753 "amount": {
4754 "quantity": "string",
4755 "currency": "AED"
4756 },
4757 "percentage": "string",
4758 "credits": {
4759 "quantity": "string",
4760 "credit_type_id": "string"
4761 },
4762 "fixed_amount": {
4763 "quantity": "string",
4764 "currency": "AED"
4765 },
4766 "maximum_amount": {
4767 "quantity": "string",
4768 "currency": "AED"
4769 },
4770 "minimum_amount": {
4771 "quantity": "string",
4772 "currency": "AED"
4773 },
4774 "maximum_number": "string",
4775 "minimum_number": "string",
4776 "block_size": {
4777 "number": "string",
4778 "amount": {
4779 "quantity": {},
4780 "currency": {}
4781 },
4782 "count": "string"
4783 },
4784 "tier_top_bound": {
4785 "number": "string",
4786 "amount": {
4787 "quantity": {},
4788 "currency": {}
4789 },
4790 "count": "string"
4791 }
4792 }
4793 ]
4794 }
4795 ],
4796 "pricing_currency_configs": [
4797 {
4798 "currency": "AED",
4799 "configs": [
4800 {
4801 "object_type": "string",
4802 "id": "string",
4803 "original_pricing_item_config_id": "string",
4804 "original_pricing_item_config": {},
4805 "details": {
4806 "billing_period": {
4807 "type": {},
4808 "value": {}
4809 },
4810 "pricing_type": "FLAT",
4811 "pricing_period": {
4812 "type": {},
4813 "value": {}
4814 },
4815 "bands": [
4816 {
4817 "amount": {},
4818 "percentage": {},
4819 "credits": {},
4820 "fixed_amount": {},
4821 "maximum_amount": {},
4822 "minimum_amount": {},
4823 "maximum_number": {},
4824 "minimum_number": {},
4825 "block_size": {},
4826 "tier_top_bound": {}
4827 }
4828 ]
4829 },
4830 "billing_period": {
4831 "type": "DAY",
4832 "value": 1
4833 },
4834 "pricing_period": {
4835 "type": "DAY",
4836 "value": 1
4837 },
4838 "default_included_volume": {
4839 "number": "string",
4840 "amount": {
4841 "quantity": {},
4842 "currency": {}
4843 },
4844 "count": "string",
4845 "reset_type": "string"
4846 },
4847 "default_seats_value": {
4848 "number": "string",
4849 "amount": {
4850 "quantity": {},
4851 "currency": {}
4852 },
4853 "count": "string"
4854 },
4855 "conditions": {
4856 "name": "string",
4857 "meter_properties": [
4858 {
4859 "id": {},
4860 "reference": {},
4861 "meter_property": {},
4862 "value": {},
4863 "values": {},
4864 "comparator": {}
4865 }
4866 ],
4867 "configs": [
4868 {}
4869 ]
4870 },
4871 "order": 1,
4872 "billing_in_advance": true,
4873 "volume_group_reference": "string",
4874 "top_up": {
4875 "rollover": true
4876 },
4877 "split_pricing": {
4878 "meter_properties": [
4879 {
4880 "id": {},
4881 "reference": {},
4882 "value": {},
4883 "meter_property": {}
4884 }
4885 ]
4886 },
4887 "on_demand": true,
4888 "wallet_grants": [
4889 {
4890 "wallet_type_id": "string",
4891 "wallet_type": {
4892 "object_type": {},
4893 "id": {},
4894 "name": {},
4895 "reference": {},
4896 "status": {},
4897 "type": {},
4898 "credit": {},
4899 "balance": {},
4900 "created_at": {},
4901 "updated_at": {}
4902 },
4903 "amount_grant": {
4904 "amount": {},
[...]
